Welcome to ACC Online Documentation

Advanced Call Center

What is Advanced Call Center?

Advanced Call Center is a full-featured yet easy-to-use answering machine software for your voice modem. All the features you'd expect are supported: call monitoring and logging, Caller ID with pop-ups and voice warnings, "white" and "black" lists, customizable and personalized greetings, and conversation recording. Advanced Call Center can send call notifications to your pager and voice messages via e-mail. It can also block certain types of incoming calls, even without Caller ID information.

Important

The Advanced Call Center will not work when you are on-line using a dial-up connection. You need to release your modem before installing Advanced Call Center.

Context Help

Help on Main Window | Help on Inbox | Help on Dialer | Help on Address Book
Main Window | Inbox | Dialer | Address Book

Main Features

Expand all

Caller ID

Advanced Call Center is a Windows-compatible application that monitors the telephone line and processes incoming calls using your modem and Caller ID. Caller ID is generally a paid subscription service and is not normally included to the basic telephone service package. Caller ID is available in most countries (and certainly in the US, Canada, Australia, UK...).

Telephone Answering Machine

The program can be used as a telephone auto-answering machine.

When the telephone rings, Caller ID information is received as a series of special codes after the first or second ring. The program attempts to identify the caller's name and number using it's internal database. Depending on the caller's status (White listed, Normal or Black listed) and group options set, the call can be routed to the answering machine, answered normally, or even dropped immediately. Personalized greetings and ring sounds can be assigned to individual entries in the database.

The software can record all or part of the conversation to a sound file with 'record-on-demand' function, and play it back to the recipient or through the local sound card at any time.

Advanced Call Center will store your messages as standard, Windows-compatible WAV files.

Remote Access to Messages

It is possible to control the software remotely. Remotely available actions include message retrieval, leaving a message, changing the default greeting, and more.

Recorded answering machine messages can be heard remotely from any touch-tone telephone via Remote Retrieval function.

Speakerphone

In the speakerphone mode, a conversation is monitored through the sound card or the modem speaker (hand-free speakerphone).

Pager and E-Mail Announcement

The software is able to notify a user about an incoming call via numeric or alpha-numeric pager and/or via e-mail. E-mail announcement can include full voice message left by remote party in a wave file. Advanced Call Center can compress e-mail attachments using an MP3 or True Speech compression.

Voicing Caller ID

Advanced Call Center can announce call details in voice using a text-to-speech software. When someone calls in, the name and/or telephone number will be announced by computer's voice. This is handy when you are in another room and wish to know who is calling. You can then choose to answer or not. In order to use this feature you will need a text-to-speech package available for free from Microsoft.

Caller ID Issues

Note that Caller Number Delivery service is not always available from your telephone company, and it is a paid service.

National Caller ID standards other then the U.S. one can be incompatible with your modem. In that case you won't get caller's number. ETSI, DTMF and NTT CLIP are supported by a few device types.

Your telephone company will advise you if Caller ID service is available at your location. Different companies have different names for the same service:

Pacific Bell | AT&T | Bell | Telus
Number ID | Individual Calling Line ID | Calling Number Delivery | Call Display

British Telecom calls it 'Calling Line Identification Service (CDS)'. DTMF Caller ID is also known as 'Calling Line Identification Presentation (CLIP)'.

If callers have their information blocked, the program will display Privacy sign or nothing.

Related topics

  • Features Overview
  • Compatibility
  • Setup procedure
  • Registration
  • User's Guide
© 1998 - 2001 Oleg Afonin.


Features Overview

Features List

  • Caller ID, answering machine, phone dialer and phone book
  • Background operation in system tray

Identifying who's calling

  • Caller ID informs you of who's calling before you answer
  • Three types of incoming calls: white listed, normal and blacklisted
  • International phone numbers and dates supported
  • Custom formatting of telephone numbers and Caller ID names capitalization
  • Audible warning when incoming call is detected
  • Custom individual Greetings and Incoming Ring sounds for each caller
  • Complete history of all calls received or made

Message Notification

  • Text to Speech voice announcements let you know who's calling when you're away from the computer (SAPI)
  • Notification of a new call via e-mail or pager
  • Numeric and alphanumeric pager support
  • E-mail call forwarding, including the voice message (MAPI)
  • Multiple variants of visual notification, including two types of pop-up dialogs, a tool tip window, and mail window activation

Answering Machine and Telephony

  • Standard wave files input/output
  • Custom greeting messages for each specific caller
  • Call screening capability: the program can use a sound card to allow you screening incoming calls as they occur
  • Playing back modem-recorded messages through your modem or sound card
  • Programmable answering machine functions
  • 'Hold line' feature with custom message or music played to the remote caller
  • Optional full automatic recording of each phone call (incoming or outgoing)

Managing Your Contacts

  • A powerful built-in Phone Book including telephone number database
  • Unlimited number of contacts
  • Database Import/Export capability
  • Three types of incoming calls: white listed, normal and blacklisted

Dial-out Capabilities

  • Ability to place calls using the modem dial-out features
  • Tone and pulse dialing
  • Auditioning the outgoing calls made using the program

Remote Retrieval

  • A powerful configurable Remote Control system
  • Allows retrieving messages calling from any touch-tone telephone

Call Forward and Voice Mail

  • Features call forwarding and voice mail
  • Ability to call a specified number and announce incoming calls

Related topics

  • The Advanced Call Center Overview


ACC System Requirements

System/Hardware Requirements

The program is a software application that uses a voice capable modem to handle incoming telephone calls.

  • IBM-compatible personal computer with Pentium or higher processor.
  • Windows 95/98/2000 or NT 4.0

    Windows 95 and NT 4 users: you will need an updated comctl32.dll or Microsoft Internet Explorer 4 or 5.

  • Caller ID capable voice modem connected to your telephone line

  • Caller ID service from your telephone company

  • Sound card and connected speakers recommended

Caller ID

In order to receive Caller ID information you have to subscribe to a Caller ID service from your telephone company. The supported Caller ID standards follow:

  • Bellcore (U.S., Canada, Australia, and some other countries)
  • ETSI, British Telecom, CCA (United Kingdom)
  • Russian ANI (Russia, some other European countries)
  • DTMF (some European countries) - Finland, Norway, Sweden etc. Supported by PowerBit modems.

Related topics

  • The Advanced Call Center Overview


Modems supported by ACC

Modems and Audio Codecs Supported

Following modems were tested

  • GVC
  • IDC
  • Rockwell based modems
  • Advanced Voice Courier (AVC, Russian)
  • Texas Instruments (TI) based Voice modems (GSM - capable)
  • U.S.Robotics (3COM) Courier
  • U.S.Robotics (3COM) Sportster Vi
  • U.S.Robotics (3COM) Sportster Voice
  • Lucent, Cirrus Logic, Rockwell HCF Windows modems
  • Zoom Telephonics
  • ZyXEL

Related topics

  • The Advanced Call Center Overview


Audio Codec

Supported Audio Codecs

Audio Codec | Description | Frequency/Sampling Rate
CCITT A-law | The International Telecommunications Union (ITU) CCITT A-law codec is supported by many hardware configurations and offers a 2:1 compression ratio (from 16 bits to 8 bits per sample). Also known as G.711. | 7.200 kHz, 8-bit, Mono 8.000 kHz, 8-bit, Mono, 7 kbps 9.600 kHz, 8-bit, Mono 11.025 kHz, 8-bit, Mono, 10 kbps
CCITT µ-law | Same as the CCITT A-law codec, but provides compatibility with North American standards. | Same as the CCITT A-law codec.
GSM 6.10 | The Groupe Spécial Mobile (GSM) codec is designed for the efficient compression of speech and is best for mid to high bit rate voice sound. GSM provides 320:33 (approx. 9:1), real-time compression. GSM is in compliance with the European Telecommunications Standards Institute recommendation 6.10. | 8.000 kHz, Mono, 1 kbps
IMA ADPCM | The Interactive Multimedia Association (IMA) ADPCM codec is designed for multiple hardware platforms and offers high quality real-time compression for higher bit rates. IMA ADPCM provides fast 4:1 compression. | 7.200 kHz, 4-bit, Mono 8.000 kHz, 4-bit, Mono, 3 kbps 9.600 kHz, 4-bit, Mono 11.025 kHz, 4-bit, Mono, 5 kbps
PCM | The Pulse-Code Modulation (PCM) provides uncompressed audio with best quality at cost of higher file size. | 7.200 kHz, 8-bit, Mono 7.200 kHz, 16-bit, Mono 8.000 kHz, 8-bit, Mono, 7 kbps 8.000 kHz, 16-bit, Mono, 15 kbps 7.200 kHz, 8-bit, Mono 9.600 kHz, 16-bit, Mono 11.025 kHz, 8-bit, Mono, 10 kbps 11.025 kHz, 16-bit, Mono, 21 kbps
Rockwell ADPCM | The Rockwell ADPCM codec is designed for Rockwell hardware. This ADPCM codec offers high quality real-time compression with low bit rate. | 7.200 kHz, 2-bit, Mono 7.200 kHz, 4-bit, Mono
ZyXEL ADPCM | The ZyXEL ADPCM codec is designed for ZyXEL hardware. This ADPCM codec offers high quality real-time compression for higher bit rates. 4-bit codec provides fast 4:1 compression. | 7.200 kHz, 4-bit, Mono 8.000 kHz, 4-bit, Mono, 3 kbps 9.600 kHz, 4-bit, Mono 11.025 kHz, 4-bit, Mono, 5 kbps

Glossary

codec

Short for compressor/decompressor. Codecs are various types of computer algorithms that are applied to audio, video, and image files to compress the size of the files. The benefit of this is the files do not use as much disk space when stored or bandwidth when streamed.

Related topics

  • Configuration Overview


History

Version 4.1

December 2001

New Features:

  • Added instant modem compatibility detection (COM and TAPI modes)
  • Added troubleshooting recommendations in case of modem problems

Bug Fixes:

  • Cosmetic bug fixes

Version 4.0

September 2001

New Features

  • New user interface
  • Printing of incoming calls and address book contacts
  • XML export of call list and address book
  • Fast and easy comment for every call
  • Advanced Find function in the Address Book and Inbox
  • Instant search and advanced find in Address Book, Dialer and Inbox
  • "Answering machine companion" functionality added (can work together with your hardware answering machine, not just instead of it)
  • Instant call recording and playback
  • Easy e-mail call forwarding
  • "Save as" for every message recorded
  • All data structures fully compatible with previous versions
  • "Edit WAV" function for recorded calls

Bug Fixes:

  • Better TAPI compatibility
  • Faster loading Inbox
  • Better Silence Detection

Version 3.6

April 2001

New Features:

  • Telemarketer call block

Bug Fixes:

  • Fixed playing messages from the Inbox

Version 3.5

March 2001

New Features:

  • Simpler, more intuitive setup and configuration

Bug Fixes:

  • Fixed call location display
  • Fixed many small glitches in TAPI mode
  • Fixed a certain amount of glitches in COM port mode

Version 3.02

January 2001

  • Fixed ETSI Caller ID
  • Fixed Setup issues
  • Fixed localization issues
  • Fixed Call Display name resolution

Version 3.0

October 2000

  • Remote message retrieval from any touch-tone telephone.
  • Basic remote control capabilities.
  • Improved documentation.
  • Can run a program on or after the call (optionally passing caller's name and/or number as a command line parameter).
  • Added call forward or voice mail features (may require Call Forward service from the phone company).
  • Translated to English, Estonian, French, German, Italian, Norwegian, Russian, and Spanish.
  • Can send e-mail notification to more than one address.
  • Can announce caller with voice repeatedly.
  • Improved Address Book.
  • Fixed bugs:
    • Dialer issues;
    • Text synthesis issue with N/A calls;
    • Several e-mail issues;
    • Handset position monitoring issues when the program went on-hook while detecting the number being dialed;
    • Toll saver bug;
    • Serial port enumeration issues;
    • Message box issues.

Version 2.32

August 2000

  • Minor bug fixes.
  • Finalized Russian user interface translation.
  • Fixed Russian ANI sequence.
  • Fixed 'busy' detection for some Sportster modems.

Version 2.31

July 2000

  • Added an ability to compress voice messages to be forwarded by e-mail, thus reducing the size of the message being sent 8 - 16 times.
  • Added speakerphone for TAPI mode (preliminary code).
  • Fixed codecs for ZyXEL modems. Added ZyXEL Omni56K support.
  • Fixed the bug that caused the main window to disappear after maximizing and closing the Inbox.

Version 2.30

July 2000

  • Much better TAPI code.
  • Added support for Internet Call Detect hardware.
  • More handy setup process.
  • Added scheduling of greeting messages.
  • Modified recording behavior: now it has an option to hang up on call end.
  • Added Inbox entries editing via pop-up menu.
  • Added a 'comment' field for Inbox entries.
  • Fixed Dialer problem.
  • Fixed a minor bug in Contacts.
  • Fixed greeting message recording problem.
  • Added columns reordering for Inbox and Contacts.
  • Enhanced silence and 'busy' detection.
  • Fixed duplicate items on import bug.
  • Fixed minor interface bugs.
  • Windows 2000 balloon tool tip support.
  • Allowed paging and mailing Address Book entries only.
  • Added an option to store the messages under a different location.
  • Added an option to automatically start recording when picking up an attached handset.
  • Added an ability to completely prevent all sounds from black listed calls.

Version 2.21

July 2000

  • Fixed contacts database issue.
  • Fixed 'busy' detection in TAPI mode.
  • Fixed sound card recording.

Version 2.20

June 2000

  • Added pager call announce.
  • Added e-mail Caller ID notification.
  • Added voice call announce via speech synthesis engine.
  • Enhanced user interface.
  • Added an option to test pager, e-mail, voice and pop-up announces.
  • Changed Properties dialog for better navigation.
  • Changed Properties user interface.
  • Added an option to flash Scroll Lock LED when there're new messages available.
  • Added preliminary TAPI code (can be buggy yet).
  • Added Modem Diagnostics command.
  • Changed Dialer for better operation.

Version 2.10 beta

May 2000

Version 2.10 was used to thoroughly beta-test new technologies.

Version 2.9.12

March 2000

  • Added pattern match for phones. Now you're able to add a contact with a number, say, (435)-???-???? or ???-???-??36, to specify search criteria. All incoming numbers beginning with 435 (1st example) or ending with 36 (2nd example) will be displayed the name you previously assigned to the 1st or the 2nd template accordingly.

Version 2.9.11

March 2000

  • Redesigned 'Actions' tab
  • Added 'Keep Log entries' option to store the complete log of calls
  • Cosmetic enhancements
  • Minor bugs fixed in ring detection
  • Added area code database for Kiev
  • Fixed pop-up on-top behavior
  • Redesigned online help and written the help for non-IE users

Version 2.9.10

February 2000

  • Fixed missing rings
  • Improved caller ID detection quality
  • Fixed Windows 95/98 advertisement display
  • Added contact list CSV export
  • Increased font size in the 'Incoming Call' pop-up dialog
  • Improved debug output

Version 2.9.9

February 2000

  • Added an option to automatically record originated calls
  • Fixed address book issue (business state/province)
  • Fixed incoming rings on Windows 95
  • Started working on TAPI
  • Added 'Dialer' property tab
  • Fixed dialing issues (ZyXEL, Win Modem, Rockwell HCF)

Version 2.9.8

February 2000

Mainly a bug fix release.
  • Fixed modem selection (Properties - General)
  • Fixed Overlapped I/O
  • Fixed last call time display
  • Fixed log file
  • Online Documentation corrected
  • Added Zoom modems

Version 2.9.7

February 2000

  • Fixed Lucent LT Win Modem playback and recording issues
  • Fixed Lucent LT dialing issues
  • Fixed pop-up display timer
  • Added Zoom PCI modem support
  • Added last call date and time display
  • Fixed Caller ID display on ZyXEL ISDN modems

Version 2.9.6

February 2000

  • The program is now advertiser-supported software. Please see Readme.txt and License.txt for details.
  • Added a list of methods to notify a user about an incoming call. Methods include: new-style pop-up, old-style pop-up, main window activation, tool tip window and no window.
  • Fixed sound playback bug (mostly for PCI and Windows modems)

Version 2.9.5

February 2000

  • A ton of bug fixes.
  • Fixed ZyXEL, IS-101, PCI and Windows modems behavior
  • Fixed play back on those modems
  • Added new 'Compatibility mode' option

Version 2.9.4

February 2000

  • Added a third-party FAX applications integration (Properties - FAX)
  • Added a-law and u-law voice codecs (Lucent (AT&T), Rockwell HCF and other PCI chip sets)
  • Added a compatibility option to disable a modem inactivity timer (now enabled by default)

Version 2.9.3

February 2000

  • Changed 'Properties' to a tree dialog
  • Simplified configuration a bit
  • Added 'Blink on new messages' option
  • Separated 'normal', 'black list' and 'white list' callers actions. Now you can define an action for each of those groups, which will, say, do an answering machine for regular callers, disconnect unwanted callers and answer white list callers.
  • 'Disconnect the caller' option (the program will answer, then hang up immediately)
  • Russian resources moved into a separate DLL (which will be available in a couple of weeks)
  • It's easy now to add different languages to the program

Version 2.9.2

February 2000

  • Fixed IMA ADPCM codec! It is a recommended codec now. Many thanks to Eugeny Abramov.
  • Fixed sorting by date in the Inbox / Originated Calls / Deleted Items dialogs
  • Fixed the bug where closing an Inbox maximized caused the main window to move off the right-hand side of the screen
  • Fixed a bug that prevented a greeting recording via the sound card
  • Added "Flash" and "Speak" (Speakerphone) buttons
  • Added an option to keep modem speaker ON after dialing
  • Optimized "Properties" dialog
  • Fixed menu items

Version 2.9

January 2000

  • New RING monitoring algorithm
  • Overlapped I/O in Windows 95/98
  • Optimized CPU usage in disabled and waiting modes
  • New status icons
  • Fixed menu bar
  • Added Rockwell optimization and recommendations for Russian ANI
  • Added MSK and SPB area codes (manually selectable from Caller ID Detection tab)
  • Added greeting selection dialog
  • You can now create callers in the 'Contacts' with an associated phone of "N/A" (without parentheses) for not detected/unavailable numbers, "O" for our of area calls and "P" for private calls. You can assign any display name for them.

Version 2.8.6

December 1999

  • Added new look for a pop-up call notification window (MS Office 2000 style)
  • Allowed dialing '*' tone (fixed dialer bug)
  • Added USRobotics 56k PCI modem
  • Added Australian mobile numbers formatting
  • Fixed main window buttons text if large system fonts are in use
  • Allowed to turn off output messages screening (your own Greeting message won't be played back through a sound card every time it plays)
  • Fixed 16-bit PCM voice codec

Version 2.8.5

December 1999

  • Fixed menu appearance error
  • Fixed ampersand in caller's name
  • Added ZyXEL omni.net modem
  • Added Israel region
  • Added heuristic number formatting (for e.g. mobile calls)
  • Changed modem driver structure (now in separate *.cfg files)

Version 2.8.4

December 1999

  • Optional menu on top of the main dialog
  • Fixed dialer
  • Fixed 'Out of area' and 'Private' calls
  • Added ability to customize greetings and ring sounds for 'Out of area' and 'Private' calls

Version 2.8.3

December 1999

  • Reworked the Contact list
  • Contact list now loads 5-10 times faster
  • Improved contact list look and feel
  • Added context menus to the contact list
  • Fixed Inbox duplicate entries in answering machine mode

Version 2.8.2

December 1999

  • Fixed auto-login identity issue
  • Changed pop-up dialog color
  • Fixed main window pop-up menu
  • Added custom area dictionaries
  • Allowed different area announcement formats

Version 2.8

December 1999

  • Added Silence Detection
  • Added multiple identities and multiple voice boxes
  • Added area codes translation for U.S.A. and UK
  • Fixed small issues

Version 2.7

November 1999

  • Added 'Scheduling' feature
  • Automatically releases COM port when connecting to Internet
  • Releases COM port when user-defined application started
  • Fixed 'Import' issue
  • Added easy 'enable/disable' switch

Version 2.6

October 1999

  • Added per-caller Greeting and Incoming Ring sounds customization
  • Added Area Code Rules processing for dial-out
  • Added Originated Calls tracking and journaling
  • Originated Calls folder
  • Inbox, Originated Calls and Deleted Items folders moved to <acid2000>\Profiles\Default profile\ (multiple profile support planned)
  • Fixed 'Control Deck disappears' bug

Version 2.5.2

October 1999

  • British Telecom CLIP standard support (Pace and Hayes Accura modems)
  • Software Gain Control (AGC) for quiet voice
  • Final fix of GSM frames
  • Corrected 'delete item' action
  • Changed mail window close and minimize behavior
  • Optimized and fixed memory and GDI usage for Windows'95/98

Version 2.4.0

September 1999

  • Custom Telephone Number Formatting
  • Slightly modified ZyXEL Hardware Caller ID
  • Improved software 'busy' detection quality

Version 2.3.1

August 1999

  • Software busy signal detection (select your country or set up frequencies in Signals section)
  • Reworked ZyXEL hardware Caller ID and answering machine functions

Version 2.3.0

August 1999

New after initial 2.0 release

  • Continued History section maintenance
  • Inbox, Contact list are now resizable
  • Added new columns in Inbox
  • Last position and size of all windows remembered
  • Added columns selection
  • Added 'Deleted Items' window
  • Properties dialog rearranged
  • GSM 6.10 auto-detection for USRobotics modems
  • Added Hardware Caller ID for ZyXEL modems
  • Fixed 'on-hold' behavior
  • Added 'Reset to defaults' option
  • Added display number formatting and international number formatting
  • Added 'Data mode dialing'
  • Added RINGBACK parameters for better dialing
  • Added e-mail sending support to contact properties
  • Optimized modem communication behavior
  • Added more locales (and more countries are in plans)

Version 2.0

June 1999

  • Phone Dialer
  • Phone book
  • New user-friendly interface
  • A lot of bugs fixed
  • Extended telephone line diagnostics added
  • Improved 'Inbox'
  • Playback of recorded messages through different devices (modem, sound card etc.)
  • Solved internationalization problems
  • Added international sorting and timer
  • English and Russian Tip of the day

Version 1.7

May 1999

  • Added setup/uninstall program
  • Separated user- and modem-specific initialization files for painless upgrade
  • New modems added
  • Added possibility to record Greeting message from sound card (microphone)
  • Added easy 'Answering machine' icon on LCD panel
  • Fixed answering machine bugs
  • Added 'Pre-detect CID before request' option for Russian Caller ID
  • Fixed GUI and modem-specific bugs due to open beta-testing

Version 1.6

April 1999

  • Numerous UI enhancements
  • American Caller ID formatted presentation added
  • Numerous bug fixes in modem subsystem

Version 1.5

March 1999

  • New GUI
  • Fixed Windows modems support
  • Sportster Vi modems now are supported!

Version 1.4

March 1999

  • Added support for various Win modems
  • Fixed decompression code for Sportster Vi modems
  • Added bitmaps in pop-up menu
  • Added support for IDC modems
  • Extra codecs added
  • Fixed 'recording greeting message' issue
  • Fixed 'Page fault' exception after RING
  • Fixed automation for American CallerID
  • Fixed numerous miscellaneous bugs

Version 1.3.0.164

February 1999

  • Improved cosmetics of the CallerID pop-up window
  • Russian CID: ring emulation enhanced and customized
  • Corrected CallerID pop-up font problem

Version 1.2.0.162

February 1999

  • New experimental feature - voice routing through sound card
  • Russian CID: number formatting fixed in some cases
  • Improved sound playback.

Version 1.1.0.158

February 1999

  • New 'Large pop-up font' option added to increase CallerID readability ('Properties'...)
  • Russian CID formatting corrected (incomplete number received)
  • Robustness of Russian CID increased

Version 1.0.0.155 release

January 1999

Changed since last beta:

  • Finalized Windows'95/98 bugs hunting
  • Fixed 'RINGS before action'
  • Small bugs corrected
  • Added 'readme.txt' file
  • Added precise timing for Russian CID request

Related topics

  • The Advanced Call Center Overview


Setup

The Setup window displays brief instructions. You can read them before clicking Next.

Step 1: Introduction

The program displays Welcome message and instructs on how to proceed.

Step 3: Modem Auto-Detection

The program will ask whether you prefer the modem to be detected automatically or you like to select it manually. It is recommended to allow the automatic detection.

Step 3: Communication Method

During setup, the program provides with selection of one of two modes: direct COM port access or standard TAPI interface. TAPI stands for Telephony Applications Programming Interface. Your selection is critical both for compatibility and for troubleshooting.

Please refer to TAPI vs. COM port topic for more information. If the program does not work in one mode, try another one.

Step 4a: COM Port Access. Modem and Region Selection

Region Selection

Select region and language.

COM port

Usually the installation procedure detects the modem's communication port. If the suggested port is incorrect (or not detected - port number displayed is Auto), select the appropriate port number.

Modem

Choose the type of modem from the displayed list. Advanced Call Center will try to detect your modem automatically. If it does not, be sure to select modem with the nearest matching chipset, not the manufacturer's name. For example, if your modem is ACORP-56IMS, it is actually built with Rockwell RCVDL56ACF/SP chip, and 'Rockwell' would be the right choice.

Step 4b: TAPI Mode. Modem Configuration

Under TAPI, select the device to be used with the program, as well as your region..

Step 5: Functions

The program can work as a Caller ID only application, or as a bundle of Caller ID and answering machine. Step 4 specifies which mode to run.

Related topics

  • Configuration Overview


User's Guide

Help on Main Window Help on Inbox Help on Dialer Help on Address Book
User Interface

You control the program with the main window or the tray icon pop-up menu. The Icon in the system tray reflects the current mode (such as 'monitoring', 'talking' or 'paused').

Main Window

This is the program's main dialog hosing the most frequently used functions, such as 'Answer incoming call', 'Hold the line', Hang up', 'Play/Record message'. Those features can be accessed in one click.

Main window satellites: message folders

There are several 'boxes', like 'Inbox', 'Originated Calls' and 'Deleted Items' in the program. New voice messages and logged calls are placed in the 'Inbox'. You can read more about incoming messages in the Answering machine section.

Originated calls are stored in the 'Originated Calls' box, and deleted messages are placed in the 'Deleted Items'.

Pop-up menu

Pop-up menu is accessed by right-clicking ACC status icon in your system tray. The menu lists all actions in a structured hierarchy. It allows switching modes (a feature for incoming calls) from 'Available/Connect' up to 'Do Not Disturb'. There is also 'Off-line/Paused' mode in which the program releases modem port and does not affect incoming calls' handling.

Status Icon

Tray Icon displays information about the current action. It may change from 'Off-line/Paused' status up to 'Talking' or 'Playing Voice Message' status.

Related topics

  • Caller ID Detection
  • Telephone Answering Machine
  • Speakerphone
  • Main Window
  • Pop-up Menu
  • Tray Icon
  • Configuration


Telephone Answering Machine

Advanced Call Center can function as an advanced, programmable telephone answering machine. Once set up, it can monitor incoming calls, play back greeting announcement (either default or specified for each caller separately) and record other party's message. The program can be set up so that it will ignore (block) messages from a groups of callers ('black list') and/or give you control over messages from another group ('white list').

Expand all

Setup

There are two ways to enable telephone auto-answering.

  • Tools -> Options -> Answering Machine -> Enable Answering Machine

    -or-

  • Set Mode to the Answering machine On mode.

Tip

Both settings are equal and do exactly the same. To disable the answering machine and only use Caller ID display, select Answering Machine Off mode.

Greeting Message

You can select (and record) greeting messages via Tools -> Answering Machine -> Greeting Message. If you are using a third-party program to create your greeting message, please remember about valid Greeting Message File Format (see below).

You can also modify your selection from the Options -> Sounds tab.

Each caller can be assigned a different greeting message and sound alarm. In the contacts list double-click on the caller's name who's properties you want to modify. Select Sound Events tab and choose an appropriate greeting message.

Voice source (modem/handset)
Telephone line
Select if your handset is plugged to Telco, not to modem 'telephone' connector
Handset
Select if your handset is plugged into modem 'telephone' connector
Microphone
Modem internal microphone. Select if no other method works
Sound card recording

You can record greeting message using microphone attached to the sound card. If you don't hear any voice after recording, check if 'Microphone' device is selected in the Windows volume control (mixer).

Greeting Messages' File Format

Every message you assign must be a valid PCM .WAV file recorded or saved as 8 or 16 bit PCM mono at sample rate equal to your modem supported sample rate (Options -> Modem Properties).

Caution

TAPI mode requires you to record messages EXACTLY as follows: 16-bit PCM, mono, 8,000 Hz WAV.

Wave files and messages

Advanced Call Center stores recorded messages in plain 16-bit mono PCM files which are in Microsoft RIFF (.wav) format. You can play or edit them with any sound player/editor, including standard Microsoft Media Player and Sound Recorder.

All messages recorded with Advanced Call Center are stored in the Inbox folder under the current identity folder.

There are three types of .wav files produced by the program.

  • msg date time.wav
  • bite date time.wav
  • log date time.wav

msg files are completed messages recorded with ACC answering machine. They usually contain voice data and, if applicable, caller number, name and other information about caller in a separate LIST chunk. You can play or edit these files in any sound editor.

bite files are parts of conversation recorded with Record-on-demand function (usually a button with Rec word on it or standard record picture). These files do contain voice/sound data and last detected telephone number and caller data (or your number if you originate the call).

log files do not contain any voice or sound data. They contain only LIST chunk (defined in Microsoft RIFF file format as a chunk containing text or other user data) with NMBR sub-chunk. The files contain only caller information and are created after each call as just another logging facility.

Related topics

  • User's Guide


Caller ID Detection: How It Works

Caller ID

Initially ACC was only intended for Incoming Call Line ID detection (Caller ID detection). Later, other service functions were added (such as answering-machine, record-on-demand and play-on-demand functions).

Caller ID Service

Caller ID is a telephone company service. It provides the identification information of persons calling your telephone number. The Caller ID information is supplied by the telephone company between the first and second ring as a series of special codes. The information includes the time and date of the call, the telephone number of the caller, and, in some areas, a subscription name.

The program uses this Caller ID info to provide detailed information on your incoming calls. Without Caller ID from your telephone company the program cannot determine the telephone number of incoming calls.

The program requires a modem that supports Caller ID. If your modem does not support Caller ID, the caller identification information supplied by the telephone company will not be available to the program software. Please be advised that the most compatible Caller ID standard is Bellcore, used in the US, Canada, Australia and some other countries. If your country employs other Caller ID method (like British Telecom CLIP or a widely accepted DTMF Caller ID), you should consult your local phone company if your modem can handle the Caller ID information provided.

In some areas the telephone company provides Caller ID with name service. In these areas both the telephone number and name of the calling party are delivered. The program software is compatible with such service and can use the name information supplied if your telephone company and modem hardware support it. If your Caller ID service does not include name, you should disable name extension. Go to Tools -> Options -> Caller ID and select 'Number Only Caller ID Service' checkbox.

The number is detected by modem hardware when +CID=1 command issued.

Standard Caller ID message packet is being received after first RING in the following way:

RING

DATE = 0321

TIME = 1405

NMBR = 5045551234

NAME = A N OTHER

RING

RING

or, in the case where the tag of the packet is not recognized by the modem

RING

MESG = 060342424231

RING

RING

Sometimes you may receive Private or Out of Area message. 'Private' means that the remote caller decided to block his phone number and personal information. 'Out of Area' means that the telephone exchange was unable to resolve Caller ID information as a call was received from the area which is out of Caller ID service.

ANI

ANI stands for "Auomatic Number Identification". ANI service is mostly used in Russia. Detecting ANI is much more complicated, because most of existing modems do not provide hardware support for ANI.

ANI signal is being sent after modem takes the call. So we have the following procedure:

  • take the call (ANSWER)
  • 200-250 milliseconds delay before requesting ANI
  • ANI request (100-200 milliseconds, 500Hz tone)
  • receive and decode ANI packet, if any
  • emulate 'ring back' tones to the line, so that caller won't know we already took the call

There are some problems. First, modem hardware is rather slow, and delay between answering and sending request tone can exceed the time ATE will wait for ANI request. In this case it is recommended to set up TWO request tones in the 'Caller ID Detection' section of 'Properties' dialog.

Then, some ATEs send ANI packet without request. This means that when we send ANI request, some time will pass and part of the signal will already be transmitted. Solution is to set 'Pre-detect time' parameter in the 'Caller ID Detection' section of 'Properties' dialog to non-zero value (numbers around 100-200 milliseconds suspected). It is recommended to set 100 ms when using TWO request tones and 200 ms when issuing only ONE request tone. Generally pre-detect time should be ZERO.

ANI reception and decoding is performed inside of the program, not the modem hardware (if not using 'Hardware' Caller ID type). This process can be controlled from within 'Actions' section of 'Properties' dialog, but generally there is no need to adjust this stage.

Number of 'ring back' tones emulated to line can be set from within 'Action' section of 'Properties' dialog. You can also change default action that will be performed after going online and/or emulating N 'ring back' signals to the line. You may choose from options like 'drop immediately' or 'after N 'ring back' tones'; or it can 'answer', 'set caller on hold' and even switch on 'answering machine'.

Related topics

  • Caller ID FAQ
  • Problems with Caller ID detection
  • User's Guide


Remote Control and Message Retrieval

Remote Control

Setup

The program supports various remote control actions via touch-tone keys. To set up remote control, use Options -> Remote Control -> Touch-Tone Keys tab.

Sample Scenario

Open the Properties dialog at Tools -> Options. Go to Options -> Remote Control -> Touch-Tone Keys and assign "1" to do the "retrieve messages (remote)". Go to Options -> Remote Control and assign "1234" as a PIN code. Press OK to save settings and close the Properties dialog. Turn on the answering machine at Options -> Answering Machine.

Dial in. During the greeting message, press "1" to enter the remote access mode. Now enter your PIN code ("1234"). If the PIN is correct, you will hear the messages. Use the keys defined below to navigate through calls.

Remote Message Retrieval

The program allows the user to retrieve the messages remotely. To do so, it should be turned on by assigning a tone key to "Retrieve Messages" action.

Control Keys for Message Retrieval

After the program has entered retrieval mode, it starts playing back the first message. The software enumerates messages in the older to newer order. It is possible to skip the message, or to jump directly to the last message in the list. After it reaches the last message, it starts to plays back the retrieval instructions repeatedly. The following tone keys are used while in the retrieval mode:

Key | Action
1 | First message (jump to beginning)
2 | Continue retrieving (un-pause)
3 | Last message (jump to end)
4 | Play previous message (skip backwards)
5 | Replay current message
6 | Play next message (skip forward)
7 | Stop retrieving (pause) / Replay instructions
8 | Delete current message (deletes to either Deleted Items folder or completely, depending on Inbox settings)
9 | -
0 | Hang up
* | Reserved. Start entering PIN / access code (or clear the current one in the case it's wrong)
# | Reserved, Finish entering PIN / access code (press "#" after entering the PIN number)

Tips

  • Always use '0' key to hang up, or the program may occupy the line for the time defined at Options -> Answering Machine -> Limit incoming messages to ... seconds.
  • Press '7' at any time to hear the instructions. Press '5' to continue retrieving.
  • When mistaken while entering an access code, simply enter it again. There is no need to press the '*' or '#' keys.

Related topics

  • Configuration Overview


Speakerphone

Speakerphone is an option for listening to your conversation via a modem or external speaker. To engage this option, click the Speak button in the main window or select Call -> Speakerphone from the menu.

Caution

Speakerphone feature does not currently work in TAPI access mode. To learn more about modem access modes, please read F.A.Q. #21.

Related topics

  • User's Guide


Modems with Caller ID in the UK

Telephone companies that use the Bellcore CND system will support any of the American Caller ID modems. However, if you need BT Caller ID, your modem options are limited to Hayes and Pace. The new Aztech 56K modems are reputed to support CLI.

Problems with Hayes modems include polarity sensitivity and insufficent sensitivity to the Caller ID signal. Increasing the line gain may help, as can tweaking the hardware, but there are no guarantees. These problems are as much complicated as ambiguity of which modems are Caller ID capable. Only the Voice models of the Accura 336 have Caller ID, of which the external ones are more reliable. Only the Message versions of the 56K Speakerphone model have it, as do 56K internal models with "A" serial numbers, but not "L" serial numbers. It works on an Accura 288 Message modem. The firmware update may help if your Hayes modem does not detect polarity. For troubleshooting read these posts.

56k USR/3COM Message Modem V90/X2 is known to support BT Caller ID.

Tip

  • Read more about BT-compatible modems

Related topics

  • Configuration Overview


Modems with DTMF Caller ID

If your phone company uses the DTMF system, then you are restricted to Intertex modems (also sold as Powerbit and Telia).

Related topics

© 1998 - 2001 Oleg Afonin.


Main Window

Click the control to see its description.

Related topics

  • User's Guide


Pop-up Menu

You can access most of program functionality from single pop-up menu.

When you run the Advanced Call Center, its icon appears in the system tray. This icon allows you a full user interface:

  • The icon changes depending on the program status (see the Tray Icon meanings here).
  • Right-clicking the icon calls up the Pop-up Menu containing all the program functionality. The list of popup menu commands follows.
    • Command | Result
Advanced Call Center | Calls up the main program window.
Help | Opens a submenu providing with access to the program's help system.
Options | Allows access to Setup, Properties, Modem Strings, Phone Number Format, and also to reset options to default settings, and to toggle the main window menu on/off.
Mode | Opens a submenu for selection of your answering mode and toggling the answering machine modes.
Contacts | Opens a submenu for access to your Contact List and allows to add a contact on the fly.
Call | Opens a call managing submenu allowing Answer, Speakerphone, Hold, Hang Up, Disconnect, Dial, Flash, and Emulate Ring commands.
Answering Machine | Opens an answering machine managing submenu that allows to select and record greeting messages, to answer immediately with the answering machine, and to browse lists of incoming calls having been answered by the answering machine.
Tools | Opens a submenu allowing to manually start and stop recording your conversation, and to send a pager message.
Switch Identity | When you start the program, you are prompted to identify yourself as a user. This command allows to log off current user and restart the program for another one.
Enable/Disable | Toggles the program monitoring/pause mode.
Modem Diagnostics | Starts your modem diagnostics. Use this to create diagnostics file for including into author contact message in case of any trouble with the program. Important Start your modem diagnostics in direct COM port access mode only (Options -> Telephone Device) to provide reliable diagnostics results.
Exit | Exits the program

    Related topics

    • User's Guide


Tray Icon

You can access most of program functionality from single pop-up menu.

When you run the Advanced Call Center, its icon appears in the system tray. This icon allows you a full user interface:

  • Right-clicking the icon calls up the Pop-up Menu containing all the program functionality. See the list of pop-up menu commands here.
  • The icon changes depending on the program status. The list of icon meanings follows.

    • Currently icon does not reflect difference between User modes (like 'Available/Connect' and 'Do Not Disturb' modes). There will be icons added in later versions to show 'mode'.

    Icon | Description
Monitoring tray icon | Normal icon of a handset and a device is shown when the program is in monitoring mode.
Initialisation tray icon | Blinking red icon of the same shape as main icon means initialization phase.
Answering Machine tray icon | Answering machine icon is shown when the Answering Machine mode is active.
Pause tray icon | Icon looking like a tape recorder 'Pause' button means the program is in 'Paused' mode and is not monitoring the modem port.
Incoming Ring tray icon | Bell icon reflects an incoming call.
Talking tray icon | A 'Sounding handset' icon appears when you answer a call.
Hold tray icon | A 'Handset with a note' icon appears when you hold the line.
Off-hook tray icon | A 'Handset' icon appears when in off-hook state.
Speakerphone tray icon | A 'Sounding speaker' icon appears when you go to the Speakerphone mode.
Play tray icon | Blinking Tape Play icon is shown when playing a greeting message.
Record tray icon | Blinking Tape Record icon is shown when recording the message.

    Related topics

    • User's Guide


Inbox

Click the control to see its description.

Related topics

  • User's Guide


Dialer

Click the control to see its description.

Related topics

  • User's Guide


Contact List Overview

Help on Main Window Help on Inbox Help on Dialer Help on Address Book

Address Book

Click the control to see its description.

Related topics

  • User's Guide


Contact List Entry

Priority

You can assign a 'priority' attribute to each contact.

  • Normal

    This is the default priority for all users. The pop-up notification dialog will be displayed on an incoming call from a 'normal' caller. An 'incoming ring' alarm sound will be played back (unless you are in 'Occupied' or 'Do not disturb' mode).

  • Black list

    The pop-up notification dialog will still be displayed on an incoming call from a 'black listed' caller. However, the program will not alert you with a sound (unless you directly assign a sound file for that specific contact). Answering machine will NOT start for a black listed caller.

  • White list

    The pop-up notification dialog will be displayed on an incoming call from a 'white listed' caller and play back a ring alarm sound, even if you set up the program for 'Occupied' mode. It will still display a tool tip with caller's name and number when you are in 'Do not disturb' mode.

Related topics

  • User's Guide


Importing Contact List From Another Application

  • Select the CSV source file to import from. You will see a preview of the first file line.
  • Define positions of the fields in the source file. Put each position of an item from the source file in front of the corresponding field.
  • Indicate unused fields with a zero length, if no appropriate field exists in the source file.
Example:

Your file is 'c:\wab.txt'. In the 'Preview' field you see the following:

Name,Nickname,E-mail Address,Home Street,Home City,Home Postal Code,Home State,Home Country,Home Phone,Home Fax,Mobile Phone,Personal Web Page,Business Street,Business City,Business Postal Code,Business State,Business Country,Business Web Page,Business Phone,Business Fax,Company,Job Title,Notes

Set field numbers. The first entry is 'Name', so locate 'Name' in the set of edit boxes. Assign this field number 1.

Next field in preview is 'Nickname'. Locate the 'Nick' edit box and assign it value of 2.

Similarly, assign 'E-mail Address' (you may choose between assigning 'Home e-mail' or 'Business e-mail' fields or both) to 3, 'Home Street' to 'Home address' = 4 and so on, for all remaining.

If there is no matching field, omit it by specifying zero (0).

After you assign all the fields, press the 'OK' button. The system will display a count of items successfully imported.

Known issues

When exporting Comma Separated Values from Microsoft Outlook or Outlook Express, you may get multi-line records like
John Doe,john@doe.com,,,"This is a multiline
sample"

Note there is a break after 'multiline'. ACC can not handle this case correctly, so you need to manually edit the file removing breaks in the middle of records.

Related topics

  • User's Guide


Configuration

Configuration Overview

There are several types of program configuration:

The Setup wizard appears when the program is initially run. The program provides with selection of one of two modes: direct COM port access or standard TAPI interface. TAPI stands for Telephony Applications Programming Interface. Your selection is critical both for compatibility and for troubleshooting.

If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q. #21.

Also choose the serial port and modem type. Al mentioned settings can be modified from the 'Properties' dialog or by running setup again.

Properties dialog is divided into several sections (tabs), each controlling a specific set of features. Most defaults are valid, though several program preferences can be set here.

Modem Strings configuration allows you defining your modem setup strings; this provides for compatibility with unsupported modems ('Custom' devices).

Related topics

  • Software Setup
  • Properties
  • Modem Command Strings
  • Modems with Caller ID in the UK


Setting Up Modem Strings

Modem Strings

Various modems have different sets of commands. In this dialog, you can fine-tune the commands sent to your modem and the possible responses your modem can answer with.

General command set

Most modems are Hayes-compatible. These common AT commands require no modification. There are exceptions, however. For example, sCmdDevSpecificInit line at the bottom of the table contains device-specific initialization settings (S registers modifications etc.)

Status strings

Modem-originated strings are listed here. The program assumes that the modem will answer with one of the strings listed in this section as a reply to an issued command.

Voice command set

There are several Voice commands' extensions to standard Hayes-compatible command set. Here you can adjust those commands, including sVoiceDevSpecificInit string being sent to the modem after entering voice mode.

Related topics

  • Configuration Overview


Configuration Properties

Tip

For information on a specific item, press ? and click on the item; or right-click the item and select What's this?.

Important

Choosing TAPI or direct COM port access operation is critical for compatibility. To learn more about these issues, please read F.A.Q. #21.

Property | Description
General | Startup settings, LCD screen color
Answering Machine | Answering machine settings, incoming message time limit
Recording | Recording source, path, auto recording
Telephone Device | Telephone device (modem or telephony card selection)
Advanced | Advanced settings such as silence detection and AGC
Developer Mode | Modem voice compression settings
Troubleshooting | Compatibility and troubleshooting options
Caller ID | Several options regarding Caller ID type and detection
ANI | ANI options
Dialer | Dialer options, including ring-back and area codes parameters
Sounds | Sounds played via modem and sound card
Fax | Settings for external FAX software
Call Notification | Methods of announcing incoming calls
Visual | Options related to visual call notification (pop-up, LED etc.)
E-mail | Notification of an incoming call via e-mail (MAPI)
Pager | Notification of an incoming call via pager
Voice | Announcing incoming calls' details
Schedule | Various scheduling methods
Applications | Controlling program's behavior when other applications are run

Related topics

  • Configuration Overview


Configuration Properties

Properties : General

Setting | Description
Run at system start-up | Runs the program automatically at the system start-up.
Start disabled | The program starts in the 'off-line' mode, without capturing the modem.
LCD color | Sets main window display color .
Region / Language The setting controls:
  • Default telephone number formatting for Caller ID presentation
  • Default area code rules for dialing (e.g. long distance calls prefixed with '1')
  • Default area codes database for region announcement (Caller ID part)

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Answering Machine

Setting | Description
Enable answering machine | Sets answering machine on or off
Answer after ... rings | Number of rings to enable the answering machine after
Emulate ... rings | In case TYPE II Caller ID is used (say, ANI) imitates this number of rings after going off-hook
Limit incoming messages to ... seconds | Maximum message length to take
Black List Calls |
For black list, do this action | Selects an action to perform for callers who are in the Black List. To put a caller to the Black List go to the Address Book, create a contact and associate a telephone number with it. At the bottom of the very first property page there will be a "Priority" option. Set it to "Black List" position.
Mute all sounds and visuals for black listed calls | Disables any pop-up or sound alert from being displayed if a black-listed contact is calling.

Tip:

To black list N/A, Out Of Area and Private calls, refer to this article.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Recording

Option | Values | Description
Voice Line Select |  | Selects which devices are routed through the modem by default.
 | Telephone Line (default) | Instructs the modem that the telephone line interface should be routed through the modem.
 | Monitor | This mode is the same as Telephone Line, except that the modem enables the external speaker as well as the telephone line/handset circuit.
 | Speakerphone | Instructs the modem that both the microphone and speaker should be routed through the modem. Can be selected for Full duplex AEC speakerphone operation.
 | - Special - |
 | Handset | Instructs the modem to route only the handset through the modem. Can be selected before recording a greeting message.
 | Speaker only | Instructs the modem to route only the speaker through the modem. Can be selected before playing back any message.
 | Auxiliary input device (microphone) | Instructs the modem to route only the auxiliary input device (microphone) through the modem. Can be selected before recording a greeting message.
Monitor calls while recording messages |  | Plays back voice from the telephone line through your sound card speakers in real-time.
Monitor outgoing messages |  | Plays back the messages being transmitting (i.e. greeting message playing back in an Answering machine mode) through the sound card. To avoid hearing the greeting repeated with each call, disable this function.

Setting | Description
Path for recorded messages | Selects a top-level path. If you select "C:\path\", your recorded messages will be stored at "C:\path\your_profile\Inbox\"
Answering machine assistant
  1. Releases the phone line and lets you talk when the handset is picked up. Most modems can detect a handset on/off hook only if it is plugged into the modem's RJ-11 (phone jack). Please also read the FAQ, Q. #9.
  2. 8 seconds after the last phone ring the program will go off-hook and start recording. This allows using Advanced Call Center together with your regular phone answering machine: Advanced Call Center will start recording right after the answering machine finishes playing its greeting message.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Telephone Device

Expand all

Telephone Device

Property | Description
Driver | Here you choose the direct access or the TAPI mode of modem communication. To learn more about communication modes, please read F.A.Q. #21.
Modem | Select your modem from the list.
COM port number | This is usually COM port 1-4.

Advanced Properties

Option | Values | Description
Silence Detection | Hangs up if a specified duration of silence is detected.
  • Sensitivity
 0 - 100% min
The least sensitive setting. Least likely to detect periods of silence, but is still able to do so, if the line is really quiet. <midrange value>
An exact value; midrange setting. Likely to be the best overall compromise on normal telephone lines.

max
The most sensitive setting. Most likely to detect even brief periods of silence.

  • Period
 Measured in seconds. Default is 5 seconds. Silence detection period, seconds. When no voice is present in the line for a specified period, the program assumes silence and hangs up.
Use hardware gain control (AGC) | Disabled by default | Allow modem hardware to perform Automatic Gain Control to adjust the voice volume to a standard level. Please note that many modems have no AGC at all, while some other modems do not allow it to be turned off.
Use software gain control (AGC) | Enabled by default | Software Automatic Gain Control adjusts the sound volume to an average level automatically. Turn it ON if sound levels are too loud or too quiet, and turn it OFF if a recorded voice is noisy. If your modem has built-in hardware AGC, you may turn this OFF.

Developer Mode

Your modem manual will indicate which types of voice compression it supports.

A variety of voice codecs are available; if garbled sounds are produced, try changing the voice compression codec.

GSM

GSM 6.10 compression is a frame-based speech codec with at least two different implementations: encapsulated GSM and un-encapsulated GSM. The GSM compression type is usually detected automatically.

Troubleshooting

Option | Meaning
Compatibility option | Enables short delays between commands for better compatibility. The closer the slider is to the "compatibility" edge, the slower (but more reliable) the performance will be.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Caller ID

In this Properties folder you can choose options relevant to Caller ID detection and formatting. You can click here to skip to embedded (advanced) options (Russian ANI, Ringback Signal, and Internet Call Detect).

Expand all

Caller ID Type

Type | Description
Caller ID | Calling Number Delivery. Caller ID is used in the USA, Canada, Australia, China and others. Complies with Bellcore standard. Caller ID signal is sent after first ring.
Brithsh Telecom | Support for BT CLIP type.
ETSI | European Caller ID standard. In some cases (e.g. modem incompatibility) should also be selected in Canada.
ANI | Software implementation of the Caller ID scheme used in Russia (Automatic Number Identification). In Type II, the Caller ID signal is sent after going off-hook. The program then emulates 'ring back' signals to the line.

Caller ID Options

Option | Description
Advanced formatting | Used when no fixed number length and/or format is used in your country. If you check this option and allow the "Show state from which a long distance call is originated" option, and if an appropriate area code database is available (see areacode folder), the number will be formatted according to the format specified (Options -> Phone Number Format) and the area code itself. Example: in Australia all numbers beginning with 04 are mobile calls and should be formatted as 0434 567 890, while regular numbers of the same length will be displayed as 12 3456 7890.
Number only Caller ID service | Avoid delays if your Caller ID service does not transmit caller's name.
Wait for Caller ID before sound alert | When cleared, the standard Ring sound is played immediately on an incoming ring. When checked, the Ring sound plays back only when Caller ID is detected, which allows assigning separate Ring sounds to every caller. Note: you can add several SPECIFIC contacts to your contact book. Click 'Contacts' -> 'New', type any name you wish. In the 'Phone number' field type 'N/A' (without quotes) for not detected/unavailable numbers, 'O' for out-of-area calls and 'P' for private calls. After assigning specific greetings and incoming ring sounds to each, you will be able to audibly recognize non-local calls as they arrive.
Area Codes | Controls whether the state (province) from area code is announced or not, and assigns an area codes database.
Announce state from which a long distance call originates | Announce state or province. For example, in the U.S. this will display 'Toll-Free' Incoming WATS Service Access Code for all 800 calls, Alabama, Decatur, Gadsden, Huntsville for calls originated from the area 256. There are several databases included: Australia, Canada, Israel, Sweden, United Kingdom, U.S., several Russian regions.
Country | Area codes database. Select an existing DB or create your own (for example, you may mark all numbers beginning with 123 as Local ATE calls). Please see areacode folder for area codes DB format.

ANI

Provides options for software Caller ID detector. There are three main sections: Request parameters, Real time detection parameters and Advanced.

If there are fewer than 7 digits in your telephone number, adjust the Digits in phone number parameter.

Request

There are two choices: use hardware or software tone for request.

Hardware tone is generated by the modem hardware. While generally not precise enough in frequency and length, it is, however, the most compatible option.

Software tone generator uses an internal sinusoidal signal generator, allowing full control over the generated signal volume, frequency (Signals Tab) and timing.

Request length is highly dependent on ATE (Telephone Exchange). I recommend using the more precise software tone generator along with Request length of 160 ms. 130 ms request can be used with the exception of modems with GSM voice compression (U.S.Robotics and Texas Instruments modems). The latter must use a 160 ms request.

Some telephone exchanges prematurely send Caller ID packets. For these ATEs, use the Pre-detect ANI before request option along with Pre-detect time around 300 ms. If Pre-detect ANI before request is NOT used, Pause before request should be set to 50 to 250 ms (100 ms is usually good).
Real time operation

One adjustable parameter: Time to wait ANI. The value is time (in milliseconds) the program waits for a Caller ID packet to appear. If Caller ID is not received during this period, another request is sent. If Caller ID presence is confirmed, Time to wait for CND, ms time is added to this value.

Note

  • Also read Detecting Caller ID topic to understand the controls better.
Advanced options:

Caller ID -> ANI

ANI options

Option | Description
Maximum number of requests | Maximum number of attempts to retrieve Caller ID information. Important Telephone exchanges in Russia do not allow more than 3 attempts.
Request length | Short is a 100 ms request length for Russian ANI; Long is a 200 ms one.
Use software tone generator | Use software or hardware to generate tones. If you check this check box, the program will synthesize tones, which may provide clearer sound, depending on the modem. If you clear this check box, a built-in modem tone generator will be used, which may provide a better performance but sometimes a lower quality.
Exact request time, ms | Exact length of an ANI request, in milliseconds. Important On U.S.Robotics modems with selected GSM compression this value must be aligned to 20 ms (while 40 ms alignment is preferred and recommended if only possible). The default and recommended value is 160 ms.
Detect ANI before request | An option to verify an ANI signal presence before requesting it. Select this check box if your telephone station sends an ANI without a request (that is, you can hear an ANI signal when you answer a call). Clear this check box if your telephone station does not provide an ANI without a request.
Time before request | Length of time before sending an ANI request. Some older telephone stations start sending Caller ID information before they are requested to. An exact value depends on your telephone exchange.
Detect number in real-time | Detect ANI in real-time (synchronous) mode. Recommended for Russian ANI.
Wait for ANI packet for [number] of ms | Period to wait for Russian ANI packet if the signal is not present. If no ANI signal detected during this period, the program assumes no ANI information available. If an ANI signal presence is detected, the program will increase the period by the value of the Time to wait for CND setting.
Use threshold filtering, % | Option for a threshold filter to detect pauses between digits in the Fourier transforms. Usually should be enabled.
Filter extra digits | The minimum number of ANI packet digits that will pass through the filter. A junk digits sequence shorter than this value will be filtered out from the ANI packet.
Fourier window shift | An option to use Fourier window step procedure.

Tip

To learn more about ANI, please read Caller ID F.A.Q. #2.

Caller ID -> Ringback Signal

Ringback Signals

Option | Description
Synthetic ring length, ms | The length of ring-back signals in 1/1000th of a second.
Pause between rings, ms | The pause between ring-back signals in 1/1000th of a second.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Dialer

Here you can change your dialer options.

Regional Settings

Regional Settings

Option | Description
Your Area Code | Here you should specify your area code.
Use Area Code Rules | Specifies whether to use area-dependent dialing rules.
Area Code Rules | This button calls up a dialog where you can specify your area-dependent dialing rules.

Miscellaneous

Miscellaneous Options

Option | Description
Record Originated Calls | An option to start recording an originated call automatically.
Translate Alpha Numbers | Translates numbers like "1-800-NO-COPY" to digits.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Sounds

Sound | Description
Sounds to play via a sound card
Incoming ring | An incoming ring sound.
Synthetic ring | For off-hook Caller ID schemes, the sound to play back while emulating a 'ring back' signal.
On-hold music | On-hold music file to play back via a sound card
Sounds to play via a modem
Default greeting | Answering machine default greeting message.
Alternate greeting | Alternative greeting message. Some actions will make use of this greeting.
On-hold music | On-hold music file to play back via a modem. May differ from the sound card on-hold music playback file.

Note

  • To play sounds to a telephone line, record them in 16-bit mono PCM file with a sampling frequency equal to the Modem properties -> Voice Sample Rate and place the .WAV file to \Dev\ folder.
  • For example, for Rockwell compatible modem a sample rate of 7200 Hz must be used.
  • For ZyXEL modems the sample rate is usually 9600 Hz (except Comet models, which are built on Rockwell chips; these modems use a 7200 Hz sample rate); 3COM / U.S.Robotics, IS-101, PCI and Windows modems usually come with 8000 Hz sample rate.
  • Latest versions support any uncompressed 8- or 16-bit PCM waves. Consider recording the sounds with a higher sample rate.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Fax

Click here to read about configuring Microsoft Fax to work with Advanced Call Center.

Option | Description
Enable FAX tone monitoring | Allows the program to detect FAX calling dial tones.
Run this application when FAX tone received | Specifies an application (executable file) to start when a FAX calling tone is detected.
Command line parameters | Provides command line parameters for the application that handles incoming faxes. Each application can have its own command line parameters.
Attempt to capture COM port again after this number of seconds | Specifies the duration the program waits before attempting to re-capture the serial port. The program will show the 'Disconnected' icon during this time.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Call Notification

Expand all

Visual Notification

Call Notification Method | Selects the way the program notifies you about incoming calls.
Show new style pop-up |
Show old style pop-up |
Activate main window | Activates main window.
Display a tool tip message Windows 95, 98, NT 4 |
Display a tool tip message Windows 2000 |
Do not notify |

E-mail Notification

Here you can select e-mail notification options. Click here to skip to Advanced e-mail notification options.
Property | Description
Use e-mail Caller ID notification | If checked, enables e-mail call notification. You will receive an e-mail message with Caller ID after every call.
Attach recorded message if any | An option to attach voice message just recorded. Check it if you'd like to receive messages left by callers.
Dial-Up Connection | If you use a dial up connection that is not on-line full time then check this box. The program will release serial port before sending the notification.
Wait for | Specifies the waiting time for Dial-Up Connection.
TO: | The notification recipient name and address. Tip: To send messages to more than one address, separate the addresses with semicolon like that: “john@doe.com; nobody@void.net”.
FROM: | The notification originator name and address.
Subject | The subject of notification message.
Use CID for subject | Use caller's number and name as a subject.
Don't mail answered calls | Only forward calls that were not manually answered.

Important

E-mail call notification requires a MAPI-compliant e-mail client. Following MAPI-compliant clients are good enough: Microsoft Outlook Express, Microsoft Outlook, Netscape Messenger, Eudora, The Bat!. You should set up your favorite mailer as your simple MAPI client.

Setting up Microsoft Outlook Express as a MAPI client

You can set Outlook Express to be your default e-mail program.

  1. On the Tools menu, click Options, and then click the General tab.
  2. In the Default Messaging Programs area, click Make Default for news or mail.

Setting up Eudora as a MAPI client

To set Eudora as your default Simple MAPI client, go to Tools, Options, MAPI, and then set it to Always use Eudora MAPI server.

Setting up Netscape Messenger as a MAPI client

  1. In the Edit menu, click Preferences. Select Mail & Newsgroups category.
  2. Enable Use Netscape Messenger from MAPI-based applications.

Having a dial-up Internet connection on the line used by the program, set the mailer to immediately forward to the mail server any messages you send. Otherwise, outgoing messages are placed in the Outbox and not sent until the Send/Receive button is clicked.

With a dial-up connection, also specify that the mailer should disconnect from the Internet connection after sending the messages.

Setting up Microsoft Outlook Express for immediate mail forwarding

  1. In the Tools menu, click Options, and then click the Send tab.
  2. In the Sending area, select Send messages immediately.
  3. Click the Connection tab.
  4. In the Dial-up area, select Hang up after sending and receiving.

Advanced E-mail Options

Following options reside in the Advanced section of e-mail options.

Property | Description
Prefix message with | This string will be used as a prefix to your notification messages.
Include caller's name | With this option turned on, the program will not stop recording until it's manually interrupted. Busy signals, dial tone, tone keys, and silence will be ignored.
Include caller's number | Includes the detected caller's number.
Include date | Includes the date stamp.
Include time | Includes the time stamp.
Carriage return between lines | Generates line breaks.

Pager Notification

If you have a numeric or an alpha pager, the software can dial your pager number and send the caller information directly to your pager.

To configure for your service you will need following information.

Property | Description
Pager type | Type of pager you're using. Select None if you don't want to be notified via pager.
Pager port | The communication (serial) port of the modem to use for paging. This may differ from the telephone device used for Caller ID and answering machine.
Service # | The pager service phone number. For alpha paging service, specify the number of their modem line, not the number of the pager mailbox where you leave messages.
Account or PIN | Your unique pager number. This identifies which pager to send the message to.
 | Communication Details
Retries | Specifies a number of connect attempts to a service.
Delay | The pause to allow for the service to answer the line, prompt with instructions, and send a "ready" tone. The touch-tones sent by the modem will then be read by the service at the proper moment.
Serial settings | The paging service's communication parameters for their paging or computer dispatching line. Ask your service representative for these values. Alpha paging will fail if these settings are wrong or missing. Most dispatch services operate between 300 and 2400 baud. Enter the setting in the order of Baud, Parity, Data Bits, and Stop Bits. A comma must separate each setting and no spaces are allowed. Defaults are 1200,E,7,1
Begin message with | Specifies a message that will precede a Caller ID information.
Block size | Sets the right margin of the alpha pager's display. This option will toggle word wrap for easier viewing.
Don't page answered calls | Prevents manually answered calls being forwarded to your pager.

Tip

The program is compatible with numeric and alpha-numeric pagers, including SprintSpectrum and SkyTel pagers.

Voice Notification

Important

The MS Speech API and text-to-speech engine are required to use voice announcements Visit our Web site for more information.

Property | Description
Voice Lists available voice timbres. Select one that you prefer.

Caution

  • When using L&H TruVoice Text-to-Speech Engine, only the first speaker is available - [ Adult Male #1, American English (TruVoice) ].
Announce Incoming Call | Starts call announcement with the phrase defined below.
Announce Caller's Name | Announces caller's name if it's available.
Announce Caller's Number Announces caller's number.

Tip

Text-to-speech engines differ in quality of telephone number pronunciation. Try all installed voices to select the best.

Only announce number when no name available | Does not announce caller's number if the name is available.
Announce 'not detected' numbers | Announces 'Caller is unknown' message.

Related topics

  • Configurating Properties
  • Configuration Overview


Configuration Properties

Properties : Schedule

Applications

Property | Description
Release serial port when applications with the following titles are active | Automatically releases the serial port when a window with a specific caption opens.

Tip

    To let the program automatically disable itself and release COM port when a specific application starts, add any part of the window title of that application. For example, if you want it to pause when you run Microsoft HyperTerminal, it's enough to add a HyperTerminal string (instead of <connection name> - HyperTerminal).

Note

    Scheduling is not needed when using TAPI access mode.

Related topics

  • Configurating Properties
  • Configuration Overview


How to set up answering machine

How to set up the answering machine function

Please read this topic to learn how to enable the answering machine function.


How to record greeting message

How to record a greeting message

To record a greeting message for your answering machine, use Tools -> Answering Machine -> Greeting Message command. To select a file with a greeting message, go to Options -> Sounds (note that the file must be 8,000 Hz, 16- or 8-bit PCM WAV). More information


How to import the contacts

To import the contacts from your favorite application, export them in a comma separated values (CSV) format. For example, in Microsoft Outlook Express click File -> Export -> Address Book -> Text File (Comma Separated Values).

Then click Contacts in the Advanced Call Center main window. Click Import. Further instructions here.


How to show or hide menu bar

To show the main window menu, click Options -> Show menu from the Advanced Call Center tray icon menu (double-click the tray icon to call the main dialog, then right-click the program icon in the tray, and click Options -> Show menu).


How to...

How to assign sounds and/or greeting messages for blocked and unavailable calls?

There is an option to play a specific sound for UNKNOWN, PRIVATE and OUT OF AREA numbers as well as your own 'greeting' message to the callers.

Add the following contacts to your contact book:

Description | Name | Associated Phone Number | Comment
Unavailable (not detected or detected with error) calls | Any name you wish for not detected calls. Default is 'N/A' | N/A | Sometimes caller ID can be missing or be received in a corrupted form. Define a contact with 'N/A' phone number for these cases.
Blocked (private) calls | A name of your choice for blocked calls. Default is 'Private' | P | Please read this article for more information on blocked calls.
Out of area calls | A name of your choice for out of area calls. Default is 'Out of area' | O | This article describes which calls can go out of area.

Click 'Contacts' to open your contacts list. Click "New", type any name you wish. In the "Phone Number" field type "N/A" (without quotation marks) for not detected/unavailable numbers, "O" for out of area calls and "P" for private calls. Define incoming ring and greeting message sounds you'd like to assign to this number. Treat these records as regular contacts: say, can assign 'Black list' priority for blocked calls and 'White list' for calls from another areas (and vise versa).


How to set up answering machine

How to record all incoming and outgoing calls automatically when going off-hook

In Options -> Recording you can select options to start recording instantly when going off-hook and to stop recording when going on-hook. This function will also work as an answering machine companion: it will start recording in 8 seconds after the last incoming ring, so if your answering machine handles the message, Advanced Call Center will record it also.

Important

Plug your phone cord into the modem jack in order to allow the modem to track the handset position. Some modems can not control handset position at all. This feature not always work in TAPI mode even if the modem itself supports the detection (depending on modem's drivers).

Warning

Some modems (most 3Com / U.S. Robotics ones, for example) can miss Caller ID information in this mode.


How to...

How to make ACC to receive faxes?

For general information please read this answer from the FAQ. Note that Advanced Call Center must be running in the TAPI mode in order to be able to pass faxes to an external application.

Configuring Microsoft Fax

Microsoft Fax is a faxing program that comes with every version of Windows. It is possible to configure Microsoft Fax so that it can be used with Advanced Call Center to take fax calls.

In order for Advanced Call Center to correctly pass fax calls to Microsoft Fax, you must first correctly set up the Fax component of Microsoft Exchange, and then ensure that the Microsoft Fax icon is in the Windows system tray.

In order to use Microsoft Fax in Windows 95 and 98 you must also install MS Exchange or Outlook 2000.

Windows 98: You will need to install MS Exchange and MS Fax manually by going to \tools\oldwin95\message directory on the Windows98 CD-ROM and running the wms.exe and awfax.exe installation programs.

Windows 2000: Configure Fax properties at the Control Panel.

MS Fax Properties Page

To bring up this page you can do either of the following:

Right click on the Fax icon in the Bottom right hand corner tray:

or:

Select Windows Messaging Tools -> Services menu that will bring up the Services screen,

or:

In the Control Panel double click on the Mail and Fax (Windows 95/98) icon [image], or Fax icon in Windows 2000, which will bring up the following screen:

Select Microsoft Fax and press Properties, this will bring up the next screen. Select the Modem tab and you will see a list of modems which Windows can use to send and receive faxes.

Select the modem which you want to use to receive incoming faxes, press the Set as Active Fax Modem button to permanently select this modem as your choice, and then press Properties.

You should now be looking at the Fax Modem Properties page itself:

Set the "Answer after" setting to the number of rings at least 2 higher then what Advanced Call Center is configured for (Advanced Call Center - Properties - Answering Machine).

Press Advanced:

Select "Use Class 2 if available".

Click on OK's until you have exited all the windows. You will now have to restart Microsoft Exchange before the settings you have just changed here will take effect.

Make sure MS Fax is running

Microsoft Exchange or Microsoft Networking must start before the Advanced Call Center is started. Microsoft Fax will be started by Microsoft Exchange. You can tell if Microsoft Fax is running by looking at the Icon Tray in the bottom right hand corner of your screen. If you can see the little fax icon there then Microsoft Fax is running. The Fax icon is the third from the left in the sample picture below:

You can now run Advanced Call Center. Any incoming fax calls which arrive on on the line monitored by Microsoft Fax will be passed by Advanced Call Center to Microsoft Fax.


Frequently Asked Questions

Important

The most recent version of this FAQ is located on-line at http://www.voicecallcentral.com/faq.htm. Please check the online version for the most recent information.

Questions
  1. The program does not record or play back voice, or there's a lot of static.
  2. The program is not showing the Caller ID information; how do I fix this?
  3. I am Caller ID service subscriber; is my modem Caller ID capable?
  4. I have assigned my own greeting message, but for some reason it plays back in slow motion. What should I do?
  5. I have my telephone hooked to the modem. I can't talk through a handset while the program is off-hook. How can I talk and/or record the conversation?
  6. How do I know if my modem is a voice modem?
  7. I can hear the recipient from the sound card speaker but he can't hear me. What's up?
  8. How can I get rid of the ring sounds the program plays when a call comes in?
  9. What is the difference between Normal, Occupied and Do Not Disturb modes?
  10. How do I know if someone's calling me when I'm online?
  11. Can this software work as an Answering Machine while I am in the Internet?
  12. Does Advanced Call Center support faxing?
  13. What is TAPI and what is the difference from direct COM operation?
  14. How do I enable a 'background' automatic recording of all stuff when a handset goes up?
  15. What is PIN?
  16. Is it possible to use the program with ISDN hardware?
  17. Will the software work with my DSL/ADSL modem?

Answers

  1. The program does not record or play back voice, or there's a lot of static.

    1. You may have a modem that does not support voice. Solution: try using TAPI mode to make sure.

    2. You may have selected an incorrect modem. Solution: refer to this article.

  2. The program is not showing the Caller ID information; how do I fix this?

    Caller ID is a telephone company service. It provides the identification information of persons calling your telephone number. The Caller ID information is supplied by the telephone company between the first and second ring as a series of special codes. The information includes the time and date of the call, the telephone number of the caller, and, in some areas, subscription name.

    The program uses this Caller ID information to provide with detailed information on your incoming calls. Without Caller ID from your telephone company the program cannot determine the telephone number of incoming calls.

    The program requires the use of a modem that supports Caller ID. If your modem does not support Caller ID, the caller identification information supplied by the telephone company will not be available to the program software. Please be advised that the most compatible Caller ID standard is Bellcore, used in the US, Canada, Australia and some other countries. If your country employs other Caller ID method (like British Telecom CLIP or a widely accepted DTMF Caller ID), you should consult your local phone company if your modem can handle the Caller ID information provided.

    In some areas the telephone company provides Caller ID with name service. In these areas both the telephone number and name of the calling party are supplied. The program software is compatible with such service and can use the name information supplied if your telephone company and modem hardware support it. If your Caller ID service does not include name, you should disable name extension. Go to Options -> Caller ID and select 'Number Only Caller ID Service' check box.

    Please check these links to learn more about Caller ID service:
    Canada: try selecting the ETSI Caller ID type at Advanced Call Center -> Options -> Caller ID. Or read more information here.
    Italy: http://www.telefonino.net/

            The United Kingdom and the United States: http://www.ainslie.org.uk/
    General: http://www.markwelch.com/callerid.htm

    Possible reason | Suggested solution
    You are not a Caller ID service subscriber | Calling Number Delivery (also known as Caller ID) service is a paid service offered by telephone companies. One must subscribe for Caller ID from the telephone company.
    You have selected wrong modem | Try changing the modem you selected. Open Options -> Telephone Device and re-select your modem.
    Your modem is not Caller ID capable or does not support your country Caller ID scheme
    1. Make sure your modem is Caller ID capable. Either your modem manual or box should mention Caller ID capabilities. If you don't know or want to test your modem manually, read the next question.
    2. Select another Caller ID type.
    Number-only Caller ID service | If you don't have Caller Name Delivery (only a caller's number is delivered), be sure to check the box "Phone number only Caller ID service" in the Options -> Caller ID.
    Modem IRQ conflict

    Be sure that no IRQ conflicts exist between the modem and any other device. A shared IRQ will cause the program to completely cease functioning. You modem may seem to function normally in Internet or FAX applications, but a conflict will prevent the program from working.

    Windows 95:

    • go to Control Panel -> System -> Device Manager
    • click Properties
    • verify that no COM ports or other devices are using the same IRQ as the COM port that your modem is hooked to
    • if so, resolve the conflict by changing the IRQ assignment on those hardware devices, or refer to your modem manual for changing the modem's IRQ.
    Your modem does not reply | If the program is unable to get a response from the modem, check the COM port number in Advanced Call Center and compare it with the port number the modem is hooked to in the Windows Control Panel. The problem usually appears when an IRQ conflict is detected.

  3. I am a Caller ID service subscriber; is my modem Caller ID capable?

    Your modem manual or box should contain information about Caller ID capability of the device. Sometimes, however, a modem detects Caller ID without any notice in its documentation.

    With some modems you can easily tell if it is Caller ID capable if you have Windows 95/98:

    • go to Start -> Settings -> Control Panel -> Modems -> Diagnostics
    • click on the COM port that your modem is hooked to
    • click More Info
    • see if Caller ID is mentioned anywhere in the list. If it is, then your modem is Caller ID capable. If it is not, that does not mean anything.

    If your modem manual or box does not mention Caller ID capability of the device, or if you want to make sure your modem is Caller ID compatible, please perform the following test.

    • Start the Windows HyperTerminal program (usually located at Start -> Programs -> Accessories -> Communications -> HyperTerminal; you may need to add this component from Add/Remove Programs Control Panel applet).
    • Type in a word or phrase (say, "test") for the name of the new connection. Click OK to continue.
    • Change the "Connect using:" to "Direct to COM N" where N is the COM port that your modem is attached to. Click OK.
    • Click OK again to close the Port Settings dialog.
    • Type in AT&F to load factory defaults into your modem. It should respond with "OK".
    • To test you modem and find out the appropriate Caller ID command, type each of the following strings followed by <Enter> until your modem responds with an "OK". If you get an "ERROR" response, that means that this is not the string for your modem and you should try the next one. You may copy the commands from this document and paste them directly into HyperTerminal screen.
    Command | Comments
    AT#CID=1 | Used in U.S.Robotics, Texas Instruments, Rockwell compatible modems (excluding software modems and Rockwell HCF), Hayes, several Pace modems, PowerBit, GVC, PCTel, IDC (VR series) devices, Diamond Supra (Rockwell compatible).
    AT+VCID=1 or
    AT+FCLASS=8;+VCID=1     		All IS-101 modems, Lucent LT, Rockwell HCF (V.90 or K56FLEX, e.g. PCI modems from Creative), some Pace modems (IS-101 compatible), MultiTech, IDC, Cirrus Logic, most of IDC modems.
    AT#CLS=8#CID=1 | Caller ID in voice mode, met in some 56K U.S.Robotics modems, some Rockwell compatible (Boca Research, Cardinal, voice Zoom).
    AT#CC1 | Older non-voice Aspen modems, older Cirrus Logic, Motorola Voice Surfer, Phoebe.
    AT*ID1 | Lot of Motorola devices.
    AT%CCID=1 or
    AT%CCID=3     		Practical Peripherals modems.
    ATS40.2=1
    ATS41.6=1
    ATS42.2=1     		All ZyXEL modems.
    • Once you get the "OK" response from your modem, ask someone to call you and watch the result. If Caller ID is working, you will see RING on the terminal screen followed by one or more additional lines of data. The screen may look like that:
      RING
      DATE=1002
      TIME=1105
      NMBR=5421873005
      NAME=JOHN SMITH JR.
      RING
      RING

      or like that:

      RING
      TIME: 02-04 11:25
      CALLER NUMBER: 2014893483
      CALLER NAME: JOHN SMITH
      RING
      RING

    You may receive a caller's name or number as Out Of Area or Privacy strings (or O and P letters correspondingly). The data can have many different formats. Just be sure that some data received between the first and second rings that could be interpreted as the caller's phone number or name (latter if you have the name service available).

    If no Caller ID data is available after the first RING, try typing ATA immediately after the RING. Several areas exploit Off-hook Caller ID (Type II) method; in this case the callers number delivers after going off-hook.

    If Caller ID is not working, you will only see the word RING for each incoming ring. In that case, try another one of the Caller ID commands suggested and try to receive a call again.

    If there is some data between the first and second ring but the program does not show an appropriate information, your modem is probably not supported by the program. Please copy the result of this test and send an e-mail. I will try to add support for your modem to my program.

  4. I have assigned my own greeting message, but for some reason it plays back in slow. What should I do?

    Probably you're using a greeting message recorded in another application. It is essential that the message is recorded with the same sample rate as your modem operates.

    1. Open the message with Sound Recorder.
    2. Save the sound you assign as a 16-bit, mono PCM wave, with a sampling rate equal to your modem sample rate.

    The key words are PCM and sampling rate - your message is probably recorded with higher frequency than your modem can support. See the documentation for your modem sample rate. Often it is one of following:

    • 7200 Hz - GVC, Rockwell Compatible (excluding HCF and V90/K56FLEX Win Modem), Motorola
    • 8000 Hz - the most popular - U.S.Robotics, IS-101, PCI and Win Modems (including Rockwell HCF), IDC, Lucent LT, PCTel. The only sample rate for TAPI mode.
    • 9600 Hz - ZyXEL modems
    • 11025 Hz - only if you're advised to do so

    You can check your modem's sampling rate under Options -> Telephone Device -> Developer Mode -> Sample rate.

  5. I have my telephone hooked to the modem. I can't talk through a handset while the program is off-hook. How can I talk and/or record the conversation?

    Most modern voice modems will capture the telephone line and block the handset hooked to the modem. That is by design. You can only talk through the modem internal microphone/speaker.

    Solution: connect the devices - a modem and a telephone - in parallel. Plug the phone cord independently in the wall jack. Do not plug your phone cord into the modem jack.

  6. How do I know if my modem is a voice modem?

    You can perform several commands in Windows HyperTerminal to make sure. Please refer to the question #3 on how to work with HyperTerminal.

    Command | Result | Description
    Rockwell, U.S.Robotics / 3COM, PCTel etc.
    AT&F | OK | Initializes the modem, which must return OK.
    AT#CLS=8 | OK or ERROR | If OK, then your modem is definitely a voice modem. Probably it's built with Rockwell, U.S.Robotics or PCTel chipset.
    AT#VCL=1 | OK or ERROR | If OK, your modem is a voice modem and probably built with Cirrus Logic CL-MD1414 chipset.
    AT#VCI? | list of voice compression methods or ERROR | Either lists the available voice codecs or returns ERROR.
    Modems with IS-101 command set (AT&T (Lucent), Rockwell HCF, ZyXEL etc.)
    AT&F | OK | Initializes the modem, which must return OK.
    AT+FCLASS=8 | OK or ERROR | If OK, then your modem is definitely a voice modem. Probably it's built with AT&T (Lucent), Rockwell HCF chipset or is a ZyXEL modem.
    AT+VSM=? | list of voice compression methods or ERROR | Either lists the available voice codecs or returns ERROR.
    AT+VLS=? | list of voice line sources or ERROR | Either lists the available voice line sources (VLS) or returns ERROR.

    If your modem replies ERROR to all the commands [ AT#CLS=8, AT#VCL=1, AT+FCLASS=8 ], then it is probably NOT a voice modem. If at least one of the commands returned OK, then your modem supports voice.

  7. I can hear the recipient from the sound card speaker but he can't hear me. What's up?
    1. Your microphone is connected to your sound card.

      In this case you won't be able to talk with the other party. Most modems have a half-duplex voice circuit, which means that they can either receive (record) or transmit (play back) digitized voice. You can only talk through internal or external microphone attached to the modem.

    2. Your microphone is connected to your modem.

      Your modem must support a speakerphone mode, which is intended to provide a full-duplex, hand-free telephone emulation. Usually a speakerphone support is declared on the modem box or in the name of the modem. Press 'Speak' button to enter speakerphone mode.

  8. How can I get rid of the ring sounds the program plays when a call comes in?

    Clear out Options -> Sounds -> Incoming Ring. If you will need a particular caller to sound a ring, you can add the sound to the caller's properties at any time (Address Book).

  9. What is the difference between Normal, Occupied and Do Not Disturb modes?

    They behave differently for normal, black-listed and white-listed callers.

    Normal

    This is the default priority for all users. The pop-up notification dialog will be displayed on an incoming call from a 'normal' caller. An 'incoming ring' alarm sound will be played back (unless you are in 'Occupied' or 'Do not disturb' mode).

    Black list

    The pop-up notification dialog will still be displayed on an incoming call from a 'black listed' caller. However, the program will not alert you with a sound (unless you directly assign a sound file for that specific contact). Answering machine will not start for a black listed caller.

    White list

    The pop-up notification dialog will be displayed on an incoming call from a 'white listed' caller and play back a ring alarm sound, even if you set up the program for 'Occupied' mode. It will still display a tool tip with caller's name and number when you are in 'Do not disturb' mode.

    Generally, the more strict option you select, the less disturbance you get on a call.

  10. How do I know if someone's calling me when I'm online?

    Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    This question becomes very common after all. Unfortunately, the only modems to support Call Waiting are the American Actiontec ones, while the Call Waiting tones often force modems to drop the line. Some people want this, but it is possible to get modems and Call Waiting ID boxes to coexist, or you could try the US$50 Webs Call Waiting Detector, a device designed to do just this. Recently, several schemes have sprung up that send the number of a waiting caller to your computer. They rely on the 'Divert When Busy' service to forward callers to a central computer, which takes their Caller ID and sends it to you over the Net. As currently these services are confined only to N. America - Internet Call Manager and Pagoo are the best known (see this article for a comparison), but look at Busybuster too. For people in the UK, all I can suggest is that if you can't get your modem to tolerate a CWID box on the line, you'll have to go for another line with auxiliary working :-( or some kind of digital link. But this is no problem for ISDN users!

    If you want more details on this subject, I strongly recommend that you to read this article:

    http://www.aimnet.com/~jnavas/modem/faq_a.htm#CallWaiting

    and/or the less comprehensive but more detailed one:

    http://www.56k.com/reports/callwait.shtml

  11. Can this software work as an Answering Machine while I am in the Internet?

    Advanced Call Center currently can't work while you're on-line (that is, your modem is busy with Internet). On-line Caller ID / answering machine requires either a dedicated box and a Call Waiting service, or a dedicated paid Internet server.

    Visit Internet services like:

    • www.callwave.com
    • www.internetcallmanager.com
    • www.pagoo.com

    Internet Call Detect hardware designed specifically for that purpose will be offered soon. It should cost about US $20 and will include a light version of this software.

  12. Does Advanced Call Center support faxing?

    Advanced Call Center does not support a built-in sending and receiving faxes. Advanced Call Center can pass any incoming fax calls to the fax program of your choice. Advanced Call Center was tested with Microsoft Fax.

    Click here to learn how to configure Microsoft Fax to work with Advanced Call Center.

    Important

    You should set Advanced Call Center to the TAPI mode before attempting to configure it to handle fax calls correctly. Set Advanced Call Center -> Options -> Telephone Device to TAPI.

    Now enable fax calling tone monitoring at Advanced Call Center Options -> Fax.

    Note

    Please note that your FAX application must be running in the monitoring mode to be able handling FAX calls when Advanced Call Center will pass them a handle. Set it to automatically answer incoming calls.

    Also please remember that current version of Windows TAPI is not stable enough, thus your FAX software may not return modem control to the Advanced Call Center.

    More Information

    Please read this articles on how to set up faxing with MS Fax on Windows 95 and 98:

    http://www.slipstick.com/addins/services/msfax.htm

    http://www.worldowindows.com/fax/faxrec.html

    This article describes faxing on Windows 2000:

    http://www.slipstick.com/addins/services/msfax.htm

  13. What is TAPI and what is the difference from direct COM operation?

    During setup, the Advanced Call Center provides with selection of one of two modes: direct COM port access or standard TAPI interface. Later you can change the mode in Options -> Telephone Device. TAPI stands for Telephony Applications Programming Interface. Your selection is critical both for compatibility and for troubleshooting.

    In few words, the difference is as follows:

    Advantages | Drawbacks
    Direct COM port access | Full support of all modem features. | Modem is grabbed by the Advanced Call Center and is not available for other applications.
    TAPI | Modem is easily shared between multiple applications. | Most (yet not all) features are supported.

    The direct COM port access allows full use of all modem features. In case you decide to use this mode, it is critical to specify your modem type correctly to let the program make use of all its enhancements, because each modem type possesses its own directive set (often incompatible with others). It is true even for modems of one family (made with different revisions of the same chipset)! There are tons of various different modems in the world, thus the program often fails recognizing a rare brand correctly. As a result, the program operation may fail.

    Theoretically, one can avoid all these problems by using Telephony Applications Programming Interface (TAPI) standard. The idea of such an interface is not revolutionary but yet quite smart. However, this interface implementation is yet far from ideal. For example, faxing is not provided at all, voice operation is quite unstable, etc. But - now a software needs not to know about modems, phone sets, etc. (including ISDN, DSL, and modem raiser cards)! TAPI will do everything to let a software work with all hardware brands in the same way.

    Unfortunately, all this is too theoretical and academic by now. In practice, however, modems are often supplied with wrong drivers, of these drivers operate wrong, or the OS itself is wrong. For instance,

    Windows 95 supports voice modems only after installing Unimodem/V module you need to download from Microsoft server.

    Windows NT 4.0 does not support voice modems at all.

    Windows 98 has a complete set of drivers and is the only OS of Windows family that operates normally in TAPI mode (provided you install the right driver correctly).

    Windows 2000 requires several updates of voice mode drivers in comparison with '98, so voicing is still in question here.

    So if one mode does not work, select another at Options -> Telephone Device.

    The good news for TAPI is that one great problem gets resolved: sharing your modem between software applications. Thus, in TAPI mode you can login to the Internet or get a FAX via any other application - without exiting Advanced Call Center (the direct COM access mode prevents other programs from accessing your modem when Advanced Call Center is run).

    Current Advanced Call Center version does not support following features in TAPI mode:

    • Monitoring handset position
    • Recording from your modem mic or via handset mic
    • Playing back via modem speaker

  14. How do I enable a 'background' automatic recording of all stuff when a handset goes up?

    Please refer to the appropriate How To section.

  15. What is PIN?

    PIN stands for Personal Identification Number.

    You use this option to request an identification code from incoming caller. The implementations are different and various -cutting off all incoming callers except those who input the correct access code (i.e. PIN), recording digital coded messages, requesting PIN to identify the calling person if his caller ID is blocked, etc.

    In a word, this option allows the program receiving a series of digits, storing them and notifying the input digits (e.g. when notifying you via pager or e-mail). For using PINs with the program, please refer to the Actions -> PIN section of Options.

  16. Is it possible to use the program with ISDN hardware?

    To access ISDN equipment, the COMMON-ISDN-API (CAPI), an application programming interface standard, is used. Advanced Call Center currently does not support CAPI. However, ISDN devices are still possible to use with Advanced Call Center through AVM ISDN TAPI Services for CAPI [Windows 98 / NT 4.0]. The program must be set to TAPI mode.

    Get AVM ISDN TAPI Services for CAPI from http://www.avm-usa.com/english/papers/r0399-1e.htm

    Quote: "AVM ISDN TAPI Services for CAPI are a universally employable driver implementation for the use of TAPI telephony applications with AVM ISDN-Controllers based on Windows 98 and Windows NT 4.0".

    Note

    Future versions of Advanced Call Center may include native ISDN equipment support through CAPI interface.

  17. Will the software work with my DSL/ADSL modem?

    DSL is not exactly a modem, it is a network interface (like your Ethernet card), despite the fact it connects to your telephone line. Advanced Call Center requires an analog voice modem to work with telephony, like 56K, 33.6 or 28.8 modem.

Related topics

  • Caller ID FAQ
  • Troubleshooting FAQ
  • Support Information


Caller ID FAQ

Frequently Asked Questions About Caller ID

Table of contents

  1. What is Caller ID ?
  2. OK, What is ANI ?
  3. Now (maybe) what is Caller ID ?
  4. Background
  5. Caller ID standards
  6. How is the Caller ID information provided ?
  7. What is Caller ID On Call Waiting ?
  8. What is "ID Blocking" ?
  9. What happens if a call is forwarded ?
  10. What happens if I have two phone lines and a black box to do the forwarding ?
  11. I called somebody from a company phone (555-1234) but their Caller ID device reported 555-1000.
  12. What are Private and Out of Area Calls ?
  13. Why are so many people against Caller ID ?
  14. I'm in Canada, why doesn't my Caller ID work ?
  15. What's the code to..... ?
  16. Can you get Caller ID with names ?
  17. Can you get Caller ID from overseas ?
  18. Can you get Caller ID for Call Waiting ?
  19. How do I know if someone's calling me when I'm online ?
  20. How do I fake the number that I send ?
  21. How do I get the number of people that withhold their number ?
  22. How do I reject calls from people that withhold their number ?
  23. What modems support Caller ID ?
  24. Caller ID on ISDN

  25. BT Caller ID with Hayes Accura modems

  26. Glossary
  27. Internet links

  1. What is Caller ID ?

    First ask "What is ANI"

  2. OK, What is ANI ?

    ANI or Automatic Number Identification is a method by which the different telephone companies determine what account is to be charged for a call. This information is passed between Telcos systems and was originally for billing purposes and predated both SS7 (Signaling System 7) and (C)LASS (Local Area Signaling Services was the original AT&T designation, the "C" was added by Bellcore after divestiture) services. That makes CNID or Calling Number IDentification (or Caller ID) possible.

    Since the Telcos had ANI, the decision was made to make it available to authorized parties such as 911 service and state security services. ANI is also used to let a Telco operator know who is calling.

    More recently, ANI is used to report to so called 800 and 900 subscribers, who made the calls they have received. Thus the 800 number subscribers know who the charge is for, and 900 number subscribers know whom to charge.

    Thus while ANI is similar to Caller ID and may provide the same information, they are actually two different services, and ANI information is not necessarily the same as what will appear on a Caller ID display.

  3. Now (maybe) what is Caller ID ?

    Caller ID is a Telco offering that is a byproduct of (C)LASS services. In this case, only those numbers reported by participating exchanges are returned, exactly which are and which are not is currently (March 1994) at the Telco's discretion.

    The Federal Government has stated that it is their intent that nationwide CNID be available by mid-1995. The full text of this decision may be found FCC Report No. DC-2571 issued on March 8, 1994.

    The biggest effect of the ruling is to mandate transport of CPN (customer provided number) information between interconnecting networks eliminating the effective inter-LATA-only limitation that exists today in most areas.

    Currently there are two types of Caller ID. The first (often referred to as "basic" service) returns just the calling number or an error message and the date/time of the call.

    The second ("enhanced" Caller ID) also may return the directory information about the calling number. At a minimum, the name of the subscriber is returned (the subscriber is not the same as the caller, the phone company has no way to determine who is actually on the line).

  4. Background

    The method for sending and displaying the CID information during a silent interval between rings was invented by Carolyn A. Doughty. This invention was filed for a United States Patent on July 12, 1983. It was assigned patent number 4,582,956 on April 15, 1986 with AT&T Bell Laboratories (now Lucent Technologies Incorporated) listed as the assignee.

    Caller ID was first offered in New Jersey in 1987 by New Jersey Bell. The telephone company was interested in trying to earn additional revenue from its investments in new high-speed network signaling systems. These new systems use a separate call data circuit based on the SS7 standard to handle the setup, termination, supervisory signals, and other data concerning a call. This separate call data circuit can handle the processing of multiple calls very quickly and eliminates certain types of toll fraud.

    Prior to SS7 telephone companies used ANI for call billing purposes. With only a few exceptions, the billing information about the caller was not sent beyond the central office that provided that caller's service. The exceptions to this were authorized parties such as 911 services, law enforcement agencies, and more recently 800 and 900 number subscribers. Even today, ANI is still used by these parties. Since ANI is completely independent of CID it will deliver the originating number even when the originator has blocked their number for CID purposes.

    With the installation of the new SS7 systems it became practical to forward the calling party's identification through the telephone network to the central office serving the called party. This aspect of SS7 is known as Calling Party Number Message (CPNM). The CPNM includes the calling party's telephone number, and whether or not the calling party wants their number blocked from being seen by the called party. Note that the CPNM is sent out on all telephone calls that are made, regardless of whether or not the calling party wants their number blocked.

    A major issue that came up with the offering of CID was that of privacy. In several states the implementation of CID was slowed by privacy advocate groups. These groups claimed that CID was an invasion of privacy. In April of 1994, the Federal Communications Commission (FCC) issued a ruling that established a national standard for CID and the delivery of the caller's number into the switched network. Local and long distance telephone companies that were equipped to do so had to exchange CPNMs. Along with this, the telephone companies had to offer blocking on a per call basis so that the caller could block their number from being delivered to the called party. The CPNM is still delivered to the final central office serving the end subscriber, but the number is then blocked and the CID message marked as private.

  5. Caller ID standards

    6. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    This is where it gets tricky as there are several ways of sending the Caller ID data down the line, of which three are in use in the UK. As a result, the residents of uk.telecom can get very upset when people ask about "UK" Caller ID. I will soon be adding a page devoted to the technicalities of these standards, but to keep it simple :

    • The Bellcore standard is used in the USA, Canada (but see below), Australia, China, Hong Kong, Singapore, Italy (?) and by most UK cable companies.
      It sends the data after the first ring tone and uses the 1200 baud Bell tone modulation. The data may be sent in Single Data Message Format (SDMF) which includes the date, time and number or in Multiple Data Message Format (MDMF) which adds a NAME field. http://testmark.com/callerid.html has more details.
    • British Telecom developed their own standard, which wakes up the display with a line reversal, then sends the data as CCITT modem tones in MDMF. It is used by BT, wireless networks like the late Ionica, and some cable companies (Nynex?). Details are to be found in Supplier Information Notes (SINs) 227 and 242; another useful document is "Designing Caller Identification Delivery Using XR-2211 for B.T." from the EXAR website.
    • The Cable Communications Association in the UK developed their own standard which is similar to BT's, but can cope with American switches.
    • An esoteric DTMF system is used in Finland, Denmark, Iceland, the Netherlands, Sweden, Brazil, Saudi Arabia and Uruguay.
    • NTT in Japan have developed their own FSK system.

    The European Telecommunications Standards Institute's (ETSI) standard (ETS 300 659-1 & -2, and ETS 300 778-1) allows 3 physical transport layers (Bellcore, BT and CCA) combined with 2 data formats (MDMF & SDMF), plus the DTMF system and a no-ring mode for meter-reading and the like. It's more of a recognition that the different types exist than an attempt to define a single "standard". France, Germany, Norway, Spain, South Africa and Turkey use ETSI formats similar to the BT standard.
    More details (like the code numbers of official standards documents) can be found at:

    http://www.adventinst.com/contents.htm,

    & http://www.rochelle.com/instandards.html,

    whilst broader overviews can be found at

    http://www.epl.co.uk/info12.htm

    and http://www.hut.fi/Misc/Electronics/docs/telecom/caller_id.html

    Following the consolidation of the UK cable industry, most cable companies seem to be standardising on Bellcore, although different exchanges within a company may use different standards. The only way of finding out which one you have is to ask them, buy hardware from somewhere that takes returns (Argos etc.), or use a multi-standard device.

    BT devices seem to send the data after the first ring like Bellcore ones for compatibility purposes, so you can use American software with a modem on a BT line. Most of them cope with our dialling codes being 5 digits not 3, but not all of them; the hyphen between code and number can also cause problems.
    The good news is that there are chips available that can cope with different standards, but they are not widely used. Some that have been mentioned are the EXAR XR-2211 (see above), the CWID-capable CMX602B from Consumer Microcircuits Limited and Mitel's MT8843AE, found in their CNIC2 modem. http://www.adventinst.com/cidic.htm has a list of mostly Bellcore Caller ID chips.

    Remember, there is no such thing as "UK" Caller ID!!

  6. How is the Caller ID information provided ?

    As a 1200 baud, 7 data bits, 1 stop bit data stream usually transmitted following the first and before the second ring signal on the line. Note that this is not a standard Bell 212 or CCITT v22 data format so a standard modem will probably not be able to receive it. Further, the serial information exists as such only from the recipient's switch to the callee's location. Between carriers the signal exists as data packets.

    The signal is provided before the circuit is complete: picking up the receiver before the data stream is finished will stop/corrupt the transmission.

    Currently there are two types of information returned: a "short form" which contains the date/time (telco and not local) of the call and the calling number or error message. The "long form" will also contain the name and possibly the address (directory information) of the calling phone.

    The "short form" stream consists of a set of null values, followed by a two byte prefix, followed by the DATE (Month/Day), TIME (24 hour format), and number including area code in ASCII, followed by a 2s compliment checksum. Most modems/caller id devices will format the data but the raw stream looks like this : 0412303232383134333434303735353537373737xx or (prefix)02281334407555777(checksum)

    A formatted output would look like this:

    Date - Feb 28
    Time - 1:34 pm
    Number - (407)555-7777

  7. What is Caller ID On Call Waiting ?

    In carrying CID a step further and combining it with Call Waiting, a service commonly called Caller ID on Call Waiting has been developed. This feature is also sometimes called Calling Identity Delivery on Call Waiting. With CIDCW the identification of the party calling can now be seen without putting the current call on hold. CIDCW is done the same way as CID with only a few exceptions.

  8. What is "ID Blocking" ?

    Most Telco's providing Caller ID have been required to also provide the ability for a calling party to suppress the Caller ID signal. Generally this is done by pressing star-six-seven before making the call. In most cases this will block the next call only however some Telcos have decided to implement this in a bewildering array of methods. The best answer is to contact the service provider and get an answer in writing.

    Currently this is supplied as either by-call or by-line blocking. By-Call is preferred since the caller must consciously block the transmission on each call. By-Line blocking as currently implemented has the disadvantage that the caller, without having a second Caller ID equipped line to use for checking, has no way of knowing if the last star-six-seven toggled blocking on or off.

    Note that blocking is provided by a "privacy" bit that is transmitted along with the CNID information and so is still available to the Telco switch, just not to the subscriber as a CNID signal. Consequently related services such as call trace, call return, & call block may still work.

  9. What happens if a call is forwarded ?

    Generally, the number reported is that of the last phone to forward the call. Again there are some Telco differences so use the same precaution as in (6). If the forwarding is done by customer owned equipment there is no way of telling but will probably be the last calling number.

    Note that as specified, CNID is *supposed* to return the number of the originating caller but this is at the mercy of all forwarding devices, some of which may not be compliant.

  10. What happens if I have two phone lines and a black box to do the forwarding ?

    If you have two phone lines or use a PBX with outdialing features, the reported number will be that of the last line to dial. Currently there is no way to tell a black box from a human holding two handsets together.

  11. I called somebody from a company phone (555-1234) but their Caller ID device reported 555-1000.

    Often a company with multiple trunks from the Telco and their own switch will report a generic number for all of the trunks.

    There is a defined protocol for PBXs to pass true CNID information on outgoing lines but it will be a long time before all existing COT (Customer Owned Telephone) equipment is upgraded to meet this standard unless they have a reason to do so.

  12. What are Private and Out of Area Calls ?

    Each telephone company has an area in which they support Caller ID. The extent of this area varies with each local telephone company. In some cases this may be multiple states, and in other cases only your local area. Private and Out of Area calls are special calls supported by telephone companies.

    If you receive a call from someone from out of the calling area supported by your telephone company, the Caller ID software will indicate Out of Area. Further identification of the caller is not possible. You can add this number to the Contacts as 'O', which is the actual telephone number supplied by the telephone company for Out of Area calls.

    The telephone company must also provide an option to have the Caller ID information blocked. This is a special service that can apply to all calls made by a Private caller, or on selected calls.

    If you receive a call from someone what has their Caller ID information blocked, then you will receive only an indication that the caller is Private. Further identification of the caller is not possible. You can add this number to the Contacts as 'P', which is the actual telephone number supplied by the telephone company for Private calls.

  13. Why are so many people against Caller ID ?

    FUD - Fear, Uncertainty, & Doubt or 10,000,000 lemmings can't be wrong. There were some justifiable concerns that some people (battered wives, undercover policemen) might be endangered or subject to harassment (doctors, lawyers, celebrities) by Caller ID. As mentioned above there are several legitimate ways to either block Caller ID or to have it return a different number. It is up to the caller. The advantage is that with Caller ID, for the first time, the called party has the same "right of refusal".

    Expect yet another Telco service (at a slight additional charge) to be offered to return an office number for calls made from home. Crisis centers could return the number of the local police station.

  14. I'm in Canada, why doesn't my Caller ID work?

    15. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    Yes, there is a country where things are more complicated than the UK. Most people think that Canada uses Bellcore, just like the USA. It does - almost. For some reason, the Nortel equipment of Stentor member companies uses a non-standard implementation of MDMF. Normal Bellcore MDMF identifies each field with a Parameter Type word, and the NUMBER is assigned Parameter Type 02. These Canadian switches assign NUMBER to 03 which is normally the message type, MESG. This is incredibly confusing for anything that looks for the NUMBER after an 02, and this includes Unimodem. Some modem drivers (and presumably Canadian phones and caller ID boxes) know where they should find the number - 3Com ones for instance. Otherwise, you just have to avoid TAPI and use software that specifically knows about this quirk. Most Canadian authors seem to have found out about this the hard way ;-). I think the relevant document is Stentor document ID-0001 "CALL MANAGEMENT SERVICE (CMS) CALLING NUMBER DELIVERY (CND) (Single and Multiple Message Format) Terminal-to-Network Interface" but I couldn't download it.

    Tip

    Try selecting the ETSI Caller ID type at Advanced Call Center -> Options -> Caller ID. With many modems it helps solve the abovementioned problem.

  15. What's the code to.....?

    Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    16.  | BT | USA | Japan | Others
Withhold sending of Caller ID (some US telcos charge for this) | 141 | *67, 1167 | 184 | *31*
Release number if normally withheld | 1470 | *82, 1182 |  |
Turn Caller ID on | *234# |  |  |
Turn Caller ID off | #234# |  |  |
Find out Caller ID status | *#234# |  |  |
Turn ACR on | *227# |  |  | 1478, *65
Turn ACR off | #227# |  |  | 1479, #65
Find out ACR status | *#227# |  |  |

    The 234# codes don't work on all BT exchanges, but *#234# is more reliable than the more comprehensive *#001# report. The 227# ACR codes are provisional, based on reports that BT exchanges suddenly started saying "This service is not yet available" (2-2-7 corresponds to A-C-R). UK cable companies generally use the US codes or a mixture (C&W's list is here)

  16. Can you get Caller ID with names?

    17. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    The original specs for Caller ID allow for the name of the caller to be sent as well as the number. This service is widespread in North America, whereas BT got as far as a small trial, in Edinburgh I think, and then quietly dropped the whole idea citing "privacy problems". They may change their mind following the implementation of the Telecoms Data Protection Directive (see below). The best you can do is take the incoming number and match it against your address book or even one of the CDs of phone numbers - the standalone devices have limited memories for doing this kind of thing, computer solutions can obviously do more (see below).

  17. Can you get Caller ID from overseas?

    18. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    This is something that is becoming more and more common, but is still rather unpredictable. Different routing can mean that the number is passed or not, and this is more apparent on international calls, especially from the US. In the UK, Oftel will allow European Caller ID if the other country has implemented the Telecoms Privacy Directive (see below - some hypocrisy here, I feel <g>), and there have been reports of Caller ID appearing from Australia and even some US lines. This seems to happen more often on digital mobiles than on land lines. You may be surprised to see that some calls from inside Britain show up as "International". This is normally due to the fact that it is cheaper for companies such as First Telecom to route some calls (such as mobiles) via another country (usually the USA) than to pay national rates. Crazy but true.
    Holland was quicker off the mark in this area, as can be seen at http://194.134.136.89/callerid/ipcaller.htm, where Alex van Es has effectively attached a Caller ID unit to his webserver, so you can ring his number and see your number appear on his site - he's got numbers from all over the world. He's one of those slightly scary people who has online stats for things like openings of his fridge....say no more.

  18. Can you get Caller ID for Call Waiting?

    19. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    This is also known as "off-hook" Caller ID or Type 2 Caller ID. A standard for Call Waiting ID (CWID) was added to SIN 227 Issue 2 ages ago, but BT quietly introduced it on some exchanges in summer 1998. Unfortunately, very few devices support it. I know that the Relate 1500 and CD60 do, and no doubt there will be many more coming, but it's a very good reason to consider one of these if you are getting a Caller ID phone/box in the near future. Some Nortel Powertouch s and Maestros support it outside the UK. I think the same holds for another extension of Caller ID, Analogue Display Services Interface (ADSI), which allows data to be sent to the screen while you are on the phone.

  19. How do I know if someone's calling me when I'm online?

    20. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    This is an increasingly common question. Unfortunately, the only modems to support Call Waiting are the American Actiontec ones and the Call Waiting tones often force modems to drop the line. Some people want this, but it is possible to get modems and Call Waiting ID boxes to coexist, or you could try the US$50 Webs Call Waiting Detector, a device designed to do just this. Recently, several schemes have sprung up that send the number of a waiting caller to your computer. They rely on the 'Divert When Busy' service to forward callers to a central computer, which takes their Caller ID and sends it to you over the Net. As yet these service are confined to N. America - Internet Call Manager and Pagoo are the best known (see here for a comparison), but look at Busybuster too. For people in the UK, all I can suggest is that if you can't get your modem to tolerate a CWID box on the line, you'll have to go for another line with auxiliary working :-( or some kind of digital link - this question doesn't arise for ISDN users!.
    If you want more details on this subject, I strongly recommend that you read http://www.aimnet.com/~jnavas/modem/faq_a.htm#CallWaiting and the less comprehensive but more detailed http://www.56k.com/reports/callwait.shtml.

  20. How do I fake the number that I send?

    21. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    Since the Caller ID signal is only generated at the called party's exchange, and the caller's line is only connected after the called party has answered the line, it should be impossible to fake the Caller ID data without access to the called party's line or exchange. Certain older Bellcore Caller ID boxes contain chips (such as the Motorola M145447) that can be tricked into receiving extra Caller ID tones during a call. I guess this is the loophole exploited by the $300 box advertised here (#107) or the "Presto Chango" box. But unless your victim happens to have the right sort of box, there is no way of faking your number from your own line. Without an SS7 connection, you don't have a hope. In any case, if you do anything too naughty, the authorities will still be able to track you down using the billing data. All you can do is make the data unavailable. Examples of this are using 141/*67 or placing a call via the operator, a non-SS7 calling card, a payphone, or an analogue mobile phone.

  21. How do I get the number of people that withhold their number?

    22. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    Again, you can't really do this without an SS7 connection - if the number is withheld, "WITHHELD" is sent down customer lines, not the real number in some code form. If the caller is hassling you, you will have to bring in BT's Malicious Calls Bureaux (sic) or your phone company's equivalent to trace the number. This is easy for them as they have access to the ANI billing data. If you don't want to do that, all I can really suggest is to use ACR (see below) - that way either you don't hear them, or they have to reveal their number. If they switch to using one of the anonymous methods above, then you might have to use a system that allows you to reject UNAVAILABLE calls as well, perhaps within certain times like at night - this would be easy to implement on a computer system.

  22. How do I reject calls from people that withhold their number?

    23. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    Americans have had Automatic Call Rejection (ACR, also known as "block blocking") for several years. Bell Atlantic have a sophisticated exchange-based ACR that includes a PIN that you can give out to friends who would otherwise be rejected (see press release).
    With ACR, any call that has a Caller ID of "WITHHELD" is automatically ignored. Calls that present as "UNAVAILABLE" (e.g. from a handful of older exchanges) or "INTERNATIONAL", "PAYPHONE" or whatever are allowed through. This is great for those suffering from nuisance calls of all kinds, less good for telesalesmen and other phone pests. However, "UNAVAILABLE" seems to be the default for some switchboards; once ACR becomes widespread companies will find they have to configure their switchboards correctly if they are to communicate with all their customers. (I'm no expert on switchboards, but the impression I get from uk.telecom is that there is always a way round the "UNAVAILABLE" problem even if it has to be some kind of Presentation number like the main switchboard number rather than an extension.) However, recent reports that telcos can easily alter ISDN lines to present "UNAVAILABLE" are worrying....
    ACR has prompted a great deal of discussion on uk.telecom recently, mostly along the lines of "When are BT bringing it in?". Brussels has come to the rescue with Article 8.3 of the Telecoms Data Protection Directive (97/66/EC), which states :

    "Where presentation of calling line identification is offered and where the calling line identification is presented prior to the call being established, the called subscriber must have the possibility via a simple means to reject incoming calls where the presentation of the calling line identification has been eliminated by the calling user or subscriber."

    In effect this means ACR, and Article 15.1 requires :

    "Member States shall bring into force the laws, regulations and administrative provisions necessary for them to comply with this Directive not later than 24 October 1998."

    Oftel are trying to implement ACR as a "mutually agreed set of rules" until the DTI bring in the Telecommunications (Data Protection and Privacy) Regulations 1999 (formerly 1998 ;-) ) on 1 March 2000. Most companies already have an ACR service - you may be able to switch it on using *227#, *65 or 1478, although Kingston require you to ask an operator to do it. If your telco is dragging its feet, try quoting the above Directive at them, or inviting them to talk to Oftel. BT is against the whole idea, and won't introduce ACR until the Regulations are in place. Don't expect it to be free, either. For the time being, BT think that implementing a 10 number killfile ("Choose to Refuse") will let them off the hook; needless to say, "WITHHELD" calls can't count as one of the 10 'numbers'.

    So for BT customers, the only option is to use a computer to do ACR for you, using hardware (q.v. the PDA Sentry , which has standalone and computer-linked versions, or the long-awaited Scanmaster Interceptor - I assume this is no more?) or software that treats "WITHHELD" as just another special case. The Bellcore Nortel Meridian 9516 can divert callers to a mailbox or tell them to ring again with the number unblocked, but it's US$260. Apparently, Nortel Powertouches can ring differently on WITHHELD calls, and most Siemens phones have a 'Secretary' feature that diverts all calls that are not in your phone memory to another number, usually a voicemail. This sounds useful - anyone know more? US West operate a similar system on their exchanges between 8am and 9pm for Ј50p.a. !!

  23. What modems support Caller ID ?

    24. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    Very few modems can understand more than one standard - the Mitel CNIC2 is the only one I know of, and I don't know much about it.
    If your phone company uses the Bellcore system, you can use pretty much any Rockwell chipped voice modem; however use of Bell tone modulation may bar them from BABT approval. Caller ID won't work on some Compaq Presarios until their software, or even their modem ROM have been upgraded. 3Com/USRobotics modems have good hardware support for Caller ID, even managing to accomodate the Stentor quirk (see above), but their drivers often do not include Caller ID support. Arash Ramin provides some modified drivers here.
    If your phone company uses the DTMF system, then you are restricted to Intertex modems (also sold as Powerbit and Telia).
    If you need BT Caller ID, the only modems you can use come from Hayes Europe, unless you can get hold of a Pace one. The old advice was to get a Pace, as they were much more reliable at getting Caller ID then the old Hayes. Now we have no choice, as Pace have gone out of business (August 1999), but at least Hayes have sorted out their modems in this respect.
    Early Hayes modems (28.8k to early 56k) were plagued by all sorts of problems. Different versions of the same model had different Caller ID capabilities, and those that did were fraught with hardware problems such as polarity sensitivity and insufficient sensitivity to the Caller ID signal. Although it seems that these problems have now been solved, I've gathered together all the information I have on a Hayes modem page. This page might be useful for users of older modems by other manufacturers.
    All the Pace 56 Voice modems (available in internal, external, Mac and PC Card versions) have Caller ID capability; and it seems that some of the earlier Microlins have as well. I must admit to owning a 56 Voice internal and am very happy with it, aside from an IRQ clash with a Logitech scanner that I got round by running PACECARD.EXE from the floppy. It's probably a case of grabbing one while you can - the internal was only Ј65 +VAT at Dabs (the others are ~Ј99) and recently BT have had the external on offer at Ј59 (inc. VAT?). The Pace Solo also looks good, although it seems to pass the data in a non-standard format ("012340123456" not "01234-123456"). This confuses some TAPI programs, so try a Solo-aware one if you have problems.
    I have seen a review that suggested that the new Aztech 56K modems support 'CLI', but this was refuted by their head office.
    Early US Robotics modems supported the Bellcore standard, then their UK-spec modems had the circuitry disabled. As a result, you will never get a US Robotics modem to grab Caller ID data on a BT line. However, I have had recent unconfirmed reports that the latest 3Com models do (summer 1999). The QuickStar Find a Modem program might be useful in listing your modem's capabilities; I've not tried it.

  24. Caller ID on ISDN

    25. Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    Caller ID is written into the ISDN standards (see here for an introduction to ISDN), but only a handful of TAs send it to their POTS ports, allowing you to plug in a box directly. Network Alchemy products are the only ones I've heard of that support the BT standard. The Zyxel TAs and the ADAK 220 and 221 pass it as well, but I think they use the Bellcore standard and the Zyxel data appears in a slightly weird format. Apparently several ISDN routers support Caller ID on the POTS ports (e.g. the 3Com OCLM & Cisco 776, but I guess they are Bellcore only too). If you want to access the data on the digital channels, you can either poll the registers directly or using CAPI, the Common ISDN API. This is a European standard ( ETS 300 838 "Integrated Service Digital Network (ISDN); Harmonized Programmable Communication Interface (HPCI) for ISDN") that has now been incorporated into the ITU's T.200 "Programmable communication interface for terminal equipment connected to ISDN". In general, all EuroISDN equipment is CAPI-compatible (see here for a list), but North America is some way behind. I list ISDN programs separately - almost all use CAPI, although some are hardware-specific. http://www.adelheid.demon.co.uk/pgs_isdn.html has details of lots of ISDN hardware, as well as a good whinge about the nightmare that is BT's implementation of ISDN. For instance, it seems that BT's interpretation of ISDN-2e can't distinguish between WITHHELD and UNAVAILABLE, which makes quite a difference for ACR fans.
    Caller ID is passed to the analogue ports of the Home Highway box, but apparently not to the digital ones, and if you want it on both analogue lines you will have to pay for it twice!

  25. BT Caller ID with Hayes Accura modems

    Answer from the Caller ID FAQ: http://www.ainslie.org.uk/callerid.htm (Copyright 1998-9 Alastair Ainslie)

    http://www.ainslie.org.uk/callerid/hayes.htm

    The main problems the older Hayes modems have are polarity sensitivity and insufficient sensitivity to the Caller ID signal. Increasing the gain on the line may help, and Hayes can tweak the hardware if you're desperate, but there are no guarantees it will work. It is also worth disconnecting the bellwire - Ken Williams found that this was essential for his Hayes 5670GB to detect Caller ID.

    Line-Phase/Polarity Reversal

    Reversing the polarity of the phone line may help.

    Up-The-Gain

    You can ask BT to raise the gain of the CLID signal on your line, but only if this is absolutely necessary, as it may confuse high-speed communications tasks.

  26. Glossary

    ACK
    Acknowledgment
    ANI
    Automatic Number Identification
    ASCII
    American Standard Code for Information Interchange
    BFSK
    Binary Frequency Shift Keying
    CAS
    CPE Alerting Signal
    CID
    Caller Identification or Caller ID
    CIDCW
    Calling Identity Delivery on Call Waiting or Caller ID on Call Waiting
    CNAM
    Calling Name Delivery
    CND
    Calling Number Delivery
    CPE
    Customer Premise Equipment
    CPNM
    Calling Party Number Message
    DTMF
    Dual-Tone Multifrequency
    FCC
    Federal Communications Commission
    FSK
    Frequency Shift Keying
    ID
    Identification
    LATA
    Local Access and Transport Area
    LSB
    Least Significant Bit
    LSSGR
    LATA Switching Systems Generic Requirements
    MDMF
    Multiple Data Message Format
    OSI
    Open Switch Interval
    PC
    Personal Computer
    SAS
    Subscriber Alerting Signal
    SDMF
    Single Data Message Format
    SPCS
    Stored Program Control Switching System
    SS7
    Signaling System 7

  27. Internet Links

  • Caller ID FAQ - an excellent FAQ on Caller ID (covered details for US, Canadian and British Telecom Caller ID methods), and the FAQ itself. http://www.ainslie.org.uk/callerid.htm
  • TELEFONINO.NET is an Italian telephony resource. http://www.telefonino.net/
  • Pagoo, Internet Call Manager, Busy Buster - on-line Caller ID services
  • http://www.markwelch.com/callerid.htm - best collection of Caller ID links around, but getting a little out of date.

Portions of this FAQ are (c) Padgett Peterson. Some information used from Michael W. Slawson Caller ID Basics. Portions of this FAQ are Copyright 1998-99 Alastair Ainslie, with due acknowledgement of any trademarks.


Ordering Information

Troubleshooting Guide

Here you can find the most frequently reported problems and how to resolve them. If the problem is not in the list, please read Frequently Asked Questions section thoroughly before contacting the author.

In case the problem is not highlighted neither here nor in the F.A.Q., please refer to the Support section for information.

Expand all

Advanced Call Center Does Not Work With Modem

The program does not work with my modem!

  1. Make sure your modem is not occupied by another software program. If you connect the Internet via a Dial-Up connection, please disconnect before installing Advanced Call Center.
  2. Read the Modem Setup section of the documentation.
  3. If following the directions does not help, please execute the Modem Diagnostics command from the Advanced Call Center pop-up menu, and send the results to the author. You will get either an advise what modem to select from the list, or an updated Advanced Call Center 'driver' for it. Please note that the diagnostics must be performed while in Direct COM port access mode (Options -> Telephone Device) rather than TAPI mode.

    Most probably the modem you have does not match any modem from the list. With the information from the Modem Diagnostics command, the author will be able to resolve the problem.

    You can also try using TAPI mode, which is more compatible. Select Options -> Telephone Device -> TAPI to enable this mode. In case the problem persists, please do run the diagnostics and send it to the author. See the support contact information here.

TAPI Mode: Records From The Sound Card, Not The Phone Line

The program records from the sound card, not from the telephone line!

This is a common problem if you are using TAPI mode.
  1. In the Windows Control Panel open Phone and Modem Options.
  2. Select Modems tab. You'll see a list of installed modems. Select your modem and double-click it.
  3. Select Modem tab from the dialog that appears.
  4. Uncheck Wait for dial tone check box.
  5. In Advanced Call Center go to Properties - Troubleshooting.
  6. Put the Compatibility slider to a medium position.

Advanced Call Center Does Not Hang Up

The program does not hang up after the remote party hangs up!

Most probably your phone company does not send the 'busy' signal to indicate hang up. It just sends silence instead.

If your modem is a 3Com/U.S.Robotics one, please follow this recommendation:

To force your modem detecting silence, please try selecting one of those modems (from Options -> Setup):

3Com / USR 33.6K Voice or

3Com / USR 56K Voice.

You should raise silence detection sensitivity and/or decrease silence detection period.

Note

To adjust silence detection sensitivity and period, change values at Options -> Telephone Device -> Advanced -> Silence Detection.

Advanced Call Center Hangs Up After a Few Seconds

The program hangs up after recording 6 - 7 seconds of voice!

  1. The problem is caused by too high silence detection sensitivity. You should lower silence detection sensitivity and/or increase silence detection period.
  2. You may try to disable Options -> Recording -> Monitor calls.. option. This can also cause unexpected disconnections.

Notes

  • To adjust silence detection sensitivity and period, change values at Options -> Telephone Device -> Advanced -> Silence Detection.
  • Sound card monitoring state is displayed on (and can be controlled from) the main window. If it's on, the speaker icon will be clear. If it's off, the icon will appear crossed. Click the speaker icon to switch between the states.

Answering Machine Problems

The Answering Machine does not turn on!

Possible problems and solutions:

  • You did not set up the Answering Machine mode properly. Please refer to the Answering Machine section of this documentation.
  • Advanced Call Center is not set up properly. Please refer to the Configuration section of this guide.

    • I cannot record incoming messages!

    Possible problems and solutions:

  • You did not set up the Answering Machine mode properly. Please refer to the Answering Machine section of this documentation.
  • Advanced Call Center is not set up properly. Please refer to the Configuration section of this guide.

    • I cannot record my greeting announcement!

    Possible problems and solutions:

  • You did not set up the Answering Machine mode properly. Please refer to the Recording Greeting Messages element in Answering Machine Section of this documentation.
  • You are trying to record via your modem mic or your handset AND Advanced Call Center is in TAPI mode. The current version (2.30) of Advanced Call Center does not support recording via modem mic or a handset mic in TAPI mode. Change the mode to Direct COM port access (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.
  • Your mic or recording hardware and/or software does not work. Check operation of appropriate equipment and/or software.

    • Speakerphone Does Not Work

    My Speakerphone mode does not work!

    Possible problems and solutions:

  • Your modem does not support speakerphone mode. Please refer to your modem manual to make sure it does.
  • Advanced Call Center is in TAPI mode. Speakerphone is not always supported in TAPI mode. Change the mode to Direct COM port access (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.
  • If the problem persists, please refer to F.A.Q. for possible issues causing the problem.

    • Handset Status Problems

    The program cannot monitor my handset position (on-hook or off-hook)!

    Possible problems and solutions:

  • Your modem does not support handset status monitoring. Please refer to your modem manual to make sure it does.
  • Advanced Call Center is in TAPI mode. The current version (2.30) of Advanced Call Center does not support handset status monitoring in TAPI mode. Change the mode to Direct COM port access (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.

    • Cannot Send FAX or Dial Up

    I cannot send FAX or Dial Up when Advanced Call Center is working!

    Possible problems and solutions:

  • Advanced Call Center is in Direct COM port access mode. You cannot share your modem between applications with Advanced Call Center run in the Direct COM port access mode, because Advanced Call Center grabs the port and does not yield it to other applications. Change the mode to TAPI (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.
  • Your FAXing software is not set up properly. Exit Advanced Call Center and try sending FAX to make sure your FAXing software and your modem work correctly.
  • Your modem does not support FAXing. Consult your modem manual to make sure it does.

    • Cannot Record Via Modem Mic

    I cannot record sound through my modem microphone!

    Possible problems and solutions:

  • Advanced Call Center is in TAPI mode. The current version of Advanced Call Center does not support recording via modem mic in TAPI mode. Change the mode to Direct COM port access (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.
  • Your modem mic does not work. Consult your modem manual for further maintenance.

    • Cannot Record Via Handset

    I cannot record sound through my handset microphone!

    Possible problems and solutions:

  • Advanced Call Center is in TAPI mode. The current version of Advanced Call Center does not support recording via handset mic in TAPI mode. Change the mode to Direct COM port access (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.
  • Your handset mic does not work or connection cord is broken. Make sure the handset cord and the telephone cord are properly attached, and the handset mic is working.

    • Cannot Play to Modem Speaker

    I cannot play back to my modem speaker!

    Possible problems and solutions:

  • Advanced Call Center is in TAPI mode. The current version of Advanced Call Center does not support playing back via your modem speaker TAPI mode. Change the mode to Direct COM port access (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.
  • Your modem speaker does not work. Consult your modem manual for further maintenance.

    • Cannot Trigger Recording with Picking Up a Handset

    I cannot set up the software to start recording of any conversation immediately when the handset is up!

    Possible problems and solutions:

  • Your telephone/handset is plugged in parallel with your modem, not into your modem. The software can monitor a phone handset position only if it is plugged into the modem. Check if your phone cord is plugged into the 'phone' jack of your modem.
  • Your handset/phone chord and/or jack is damaged. Make sure the cord is intact and is plugged firmly into the 'phone' jack of your modem.
  • Advanced Call Center is in TAPI mode. The current version of Advanced Call Center does not support triggering record mode by picking up a handset in TAPI mode. Change the mode to Direct COM port access (Options -> Telephone Device). If you want to learn more about TAPI and direct COM port access modes, please refer to the appropriate F.A.Q.
  • Your modem is not capable of monitoring your handset position. Consult your modem manual to make sure it is capable of that.

    • Related topics

    • Frequently Asked Questions
    • Caller ID FAQ
    • Support Information


Frequently Asked Questions

COM port or TAPI ?

During setup, the program provides with selection of one of two modes: direct COM port access or standard TAPI interface. Later you can change the mode in Options -> Telephone Device. TAPI stands for Telephony Applications Programming Interface. Your selection is critical both for compatibility and for troubleshooting.

In few words, the difference is as follows:

 | Advantages | Drawbacks
Direct COM port access | Full support of all modem features. | Modem is grabbed by the program and is not available for other applications.
TAPI | Modem or telephony card is easily shared between multiple applications. | Most (yet not all) features are supported.

Direct COM port access

Direct COM port access

The direct COM port access allows full use of all modem features. In case you decide to use this mode, it is critical to specify your modem type correctly to let the program make use of all its enhancements, because each modem type possesses its own directive set (often incompatible with others). It is true even for modems of one family (made with different revisions of the same chipset)! There are tons of various different modems in the world, thus the program often fails recognizing a rare brand correctly. As a result, the program operation may fail.

TAPI

Theoretically, one can avoid all these problems by using Telephony Applications Programming Interface (TAPI) standard. The idea of such an interface is not revolutionary but yet quite smart. However, this interface implementation is yet far from ideal. For example, faxing is not provided at all, voice operation is quite unstable, etc. But - now a software needs not to know about modems, phone sets, etc. (including ISDN, DSL, and modem raiser cards)! TAPI will do everything to let a software work with all hardware brands in the same way.

Unfortunately, all this is too theoretical and academic by now. In practice, however, modems are often supplied with wrong drivers, of these drivers operate wrong, or the OS itself is wrong. For instance,

Windows 95 supports voice modems only after installing Unimodem/V module you need to download from Microsoft server.

Windows NT 4.0 does not support voice modems at all.

Windows 98 has a complete set of drivers and is the only OS of Windows family that operates normally in TAPI mode (provided you install the right driver correctly).

Windows 2000 requires several updates of voice mode drivers in comparison with '98, so voicing is still in question here.

So if one mode does not work, select another at Options -> Telephone Device.

The good news for TAPI is that one great problem gets resolved: sharing your modem between software applications. Thus, in TAPI mode you can login to the Internet or get a FAX via any other application - without exiting Advanced Call Center (the direct COM access mode prevents other programs from accessing your modem when Advanced Call Center is run).

Current versions of Call Corder doe not support the following features in TAPI mode:

    • Monitoring handset position
    • Recording from your modem mic or via handset mic
    • Playing back via modem speaker


Upgrades and Contact Information

Legal Aspects of Recording Telephone Conversations: A Practical Guide

Introduction

The purpose of this guide is a research of different state laws regarding recording telephone conversation. The guide addresses legal issues of taping in the US, UK, Australia, and Canada.

In the US there are both federal and state statutes governing the use of electronic recording equipment. The unlawful use of such equipment can give rise not only to a civil suit by the "injured" party, but also criminal prosecution. Although most of the statutes address wiretapping and eavesdropping - listening in on conversations of others without their knowledge - they usually apply to electronic recording of any conversations, including telephone calls.

© 2001 Pingram Marketing.


Upgrades and Contact Information

Why Record Telephone Calls?

There can be a plenty of reasons why a company may need to record telephone conversations. For example:

Agent Training: It is often helpful to have the person answering your telephone calls hear their own voice and listen to how callers hear them. This will help them improve their call etiquette.

Quality Assurance: Call handling can be monitored on a monthly or bi-monthly basis to see where improvements are needed.

Quality Control: Call confirmation and "he said/she said" disputes.

Security/Liability: A recording of a conversation can be priceless if your business were to ever end up in court. Being accountable to your clients can help your business earn the respect of your customers.

A large number of organizations undertake monitoring of call. As suggested above, the purpose of this is to enable the company managers to gather information about the way in which the customer service representatives are "handling" the customer ("Quality Control"). This is then used as an assessment of the customer service representative's performance as part of the ongoing education and training of the customer service representative. The monitoring can be done by means of "double jacking" at the point where the customer service representative is sitting or alternatively can be done at another point so that neither the customer nor the customer service representative knows that the monitoring is taking place. In either case, the customer is unaware that monitoring is taking place, which may be illegal in many states.

© 2001 Pingram Marketing.


Upgrades and Contact Information

Consent

Generally, it is legal to record any conversation where all the parties to it consent (one party consent if all parties are in a state with corresponding law). The U.S. federal law only requires one-party consent to the recording of a telephone conversation, but explicitly does not protect the taping if it is done for a criminal or tortuous purpose. Many states have similar exceptions.

The following phrases may be used to request person's consent:

"For training purposes and your own security your call may be monitored and recorded."

"In order to insure excellent customer service, your call may be monitored or recorded."

"Thank you for calling America Online. To insure the highest level of customer service, this call may be monitored and recorded."

"All Blue HealthLine calls are completely confidential. However, your call may be monitored and recorded to insure quality of service."

As we see here, the quotes (taken from real life telephone operators) reflect and disclose pretty honestly a purpose of recording a call.

© 2001 Pingram Marketing.


Upgrades and Contact Information

The USA

Federal and State Laws

The U.S. federal law allows recording of phone calls and other electronic communications with the consent of at least one party to the call. A majority of the states and territories have adopted wiretapping statutes based on the federal law, although most have also extended the law to cover in-person conversations. 38 states and the D.C. permit recording telephone conversations to which they are a party without informing the other parties that they are doing so.

12 states require, under most circumstances, the consent of all parties to a conversation. Those jurisdictions are California, Connecticut, Florida, Illinois, Maryland, Massachusetts, Michigan, Montana, Nevada, New Hampshire, Pennsylvania and Washington.

It is illegal under all jurisdictions to record calls in which one is not a party.

A complete state-by-state set of regulations regarding telephone call recording may be obtained in the following report published by The Reporters Committee for Freedom of the Press:

http://www.rcfp.org/taping/states.html

© 2001 Pingram Marketing.


Upgrades and Contact Information

The US Federal Law

The federal Omnibus Crime Control and Safe Streets Act of 1968, 18 U.S.C. Sec. 2510 et seq., prohibits the willful interception of telephone communication by means of any electronic, mechanical, or other device without an applicable exemption. There are two principal exceptions:

Federal Exceptions

Consent: In the absence of more restrictive state law, it is permissible to intercept and record a telephone conversation if one or both of the parties to the call consents. Consent means authorization by only one participant in the call; single-party consent is provided for by specific statutory exemption under federal law. 18 U.S.C. Sec. 2511(2)(d).

"Business telephone" exception

The "business telephone" exception, which generally allows monitoring of calls and taping over an extension phone which is both provided to a subscriber in the ordinary course of a telephone company's business and is being used by that subscriber in the ordinary course of its business. This provision generally permits businesses to monitor the conversations of their employees, including personal conversations.

Penalties: The federal statutes provide criminal penalties for unlawful interception of telephone conversations, including up to five years' imprisonment or a maximum of $10,000 in fines. They also allow for civil remedies, by which private parties are entitled to recover actual and punitive damages, together with fees and costs.

© 2001 Pingram Marketing.


Upgrades and Contact Information

Evidentiary Issues

Individuals and businesses that make surreptitious recordings often do so with the expectation that the recordings will be useful as evidence. Such recordings are subject to significant barriers to use as evidence. First, if made in violation of either federal or state law, the recordings will almost certainly be inadmissible. Second, even if lawfully recorded, the tapes will be exempt from the hearsay rule and will not, in most jurisdictions, be usable for impeachment. Anyone contemplating an evidentiary use of surreptitious recordings should consult with an attorney prior to making the recording.

© 2001 Pingram Marketing.


Upgrades and Contact Information

Recording Telephone Calls with Parties in Different Jurisdictions

Federal law may apply when the conversation is between parties who are in different states, although it is unsettled whether a court will hold in a given case that federal law "pre-empts" state law, but either state may choose to enforce its own laws. Therefore it is better to err on the side of caution when recording an interstate telephone call.

© 2001 Pingram Marketing.


Upgrades and Contact Information

The Role of FCC

The FCC's role in assisting consumers who believe their telephone conversations were unlawfully recorded is generally limited to ensuring that telephone companies enforce their tariff provisions regarding recording of telephone conversations. The only penalty that can be enforced by the local carrier is revocation of telephone service. (In the Matter of Use of Recording Devices in Connection with Telephone Service)

The FCC protects the privacy of telephone conversations by requiring notification before a recording device is used to record interstate or foreign telephone conversations. These types of conversations may not be recorded unless the use of a recording device is:

  • Preceded by verbal or written consent of all parties to the telephone conversation; or
  • Preceded by verbal notification which is recorded at the beginning, and as part of the call, by the recording party; or
  • Accompanied by an automatic tone warning device, sometimes called a beep tone, which automatically produces a distinct signal that is repeated at regular intervals during the course of the telephone conversation when the recording device is in use.
  • Also, no recording device may be used unless it can be physically connected to and disconnected from the telephone line or switched on and off.

The above FCC rule requirements apply to telephone common carriers. Similar requirements are imposed on consumers through the carriers' tariffs.

© 2001 Pingram Marketing.


Upgrades and Contact Information

State Laws (Table)

While the U.S. federal law only requires one-party consent, many states have accepted different laws. In some states all parties must give their consent or at least be notified that the call is about to be recorded (with necessary opt-out option: if you don’t like them to record the call, you can ask them to stop recording). There also was a case law decision from many years ago (the 1950's) that went to the Supreme Court and affirmed that the federal law does not supersede state authority/statutes unless the call or the tap crosses state lines – that is why each state went ahead and established their own guideline/statute.

States Requiring One Party Notification

Alabama
Alaska
Arizona
Arkansas
Colorado
District Of Columbia
Georgia
Hawaii
Idaho
Illinois
Indiana
Iowa
Kansas
Kentucky

Louisiana
Maine
Minnesota
Mississippi
Missouri
Nebraska
Nevada
New Jersey
New Mexico
New York
North Carolina
North Dakota
Oklahoma

Oregon
Ohio
Rhode Island
South Carolina
South Dakota
Tennessee
Texas
Utah
Vermont
Virginia
West Virginia
Wisconsin
Wyoming

States Requiring Two Party Notification

California
Connecticut
Delaware
Florida

Massachusetts
Maryland
Michigan
Montana

New Hampshire
Pennsylvania
Washington

© 2001 Pingram Marketing.


Upgrades and Contact Information

Interesting Facts About Recording Telephone Calls In Different States

Arizona

Arizona is a "one-party" state, ARS 13-3005.A(1)(2), and also permits a telephone "subscriber" (the person who orders the phone service and whose name is on the bill) to tape (intercept) calls without being a party to the conversation and without requiring any notification to any parties to the call, ARS 13-3012(5)(c).

Illinois

Illinois is, by statute, a two-party state. However, case law from both the IL Supreme Court and various Illinois appellate courts have declared Illinois a one-party state in the case of private citizens (businesses and plain folks - NOT law enforcement). The reigning consensus is that one-party consensual recording is merely "enhanced note-taking" and since some folks have total recall without recording, how can the other party have any expectation of privacy to a conversation held with another person.

Illinois requires prior consent of all participants to monitor or record a phone conversation. Ill. Rev. Stat. Ch. 38, Sec. 14-2. There is no specific business telephone exception, but in general courts have found extension telephones do not constitute eavesdropping devices. Criminal penalties for unlawful eavesdropping include up to three years' imprisonment or $10,000 in fines and the civil remedy provides for recovery of actual and punitive damages.

In the state of Illinois it is illegal to monitor cordless phones.

Wisconsin

Wisconsin is currently a one-party state though recent attempts in the legislature there have attempted, unsuccessfully so far, to change it to two-party. Even so, any evidence gathered by a one-party consensual recording is inadmissible except in murder or drug cases, as they say.

The Wisconsin Stats 885.365 Recorded telephone conversation (1) states "Evidence obtained as the result of the use of voice recording equipment for recording of telephone conversations, by way of interception of a communication or in any other number, shall be totally inadmissible in the court of this state in civil actions, except as provided by 968.28 to 968.37." Exceptions are it the party is informed before the recording is informed at the time that the conversation is being recorded and that any evidence thereby obtained may be used in a court of law or such recording is made through a recorder connector proved by the telecommunications utility as defined in WI Stats 968.28 - 968.37 (which is the stat for court ordered wiretaps) which automatically produces a distinctive recorder tone that is repeated at intervals of approximately 15 seconds. Fire department or law enforcement agencies are exempt as are court ordered wire tapes.

Also a recording on the phone made from a out of state call or made to an out of state party, has to have the party informed of the recording and his consent or the tone on line, every 15 seconds, or a consent in writing before the recording is started.

Needless to say this does not allow a person not a party to the conversation to record any part of the conversation without the parties to the conversation being informed the third party is recording the conversation.

California

Although California is a two-party state, it is also legal to record a conversation if you include a beep on the recorder and for the parties to hear. This information was included with my telephone bill.

California prohibits telephone monitoring or recording, including the use of information obtained through interception unless all parties to the conversation consent (California Penal Code Sections 631 & 632). There is no statutory business telephone exception and the relevant case law all but excludes this possibility. California courts have recognized "implied" consent as being sufficient to satisfy the statute where one party has expressly agreed to the taping and the other continues the conversation after having been informed that the call is being recorded. Violation is punishable by a fine of up to $2,500, imprisonment for not more than one year, or both. A civil plaintiff may recover the greater of $3,000 or three times the amount of any actual damages sustained.

Washington

Washington requires the consent of all parties. Some companies manage to work around that by going to the Indian reservations or any federally owned property to make the call - Federal law is a one party consent.

Indiana

In the state of Indiana it is one party authorization. As far as what is admissible in court it is still being tested per each case individually by the prosecutors office in the county in which the investigation or case was done.

New York

New York is a one party state, however some courts will not admit an interview with a witness to an event if they were not informed they were being recorded. Apparently the judge may use his discretion.

Pennsylvania

Pennsylvania requires the consent of all parties. 18 Pa. Cons. Stat. Ann. Sec. 5704(4) with the following exception: any individual may record a phone conversation without the other party's consent if:

  1. The non-consenting party threatens the life or physical well being of the consenting party, or any member of his/her family.
  2. The non-consenting party commits any criminal action (the statute specifically uses the example of telling the consenting party that they have marijuana they want the consenter to buy, but does state ANY criminal act).

Felony penalties may be imposed for violation of the Pennsylvania statute

Connecticut

Connecticut joined the ranks of two-party consent about 3 years ago. The State Police there is quite diligent in enforcing the law. Ironic, since they were the ones responsible for the law going into effect by illegally recording the telephone calls of prisoners at the individual barrack when arrested.

Massachusetts

Massachusetts requires consent of al parties unless another exception applies (Massachusetts Gen. Laws Ann. ch. 272, Sec. 99). Telephone equipment, which is furnished to a phone company subscriber and used in the ordinary course of business, is excluded from the definition of unlawful interception devices (Id. at 99(B)(3)). Office intercommunication systems used in the ordinary course of business are similarly exempt (Id. at 99(D)(1)(b)). The criminal penalty is a fine of up to $10,000, imprisonment for up to five years, or both. In civil litigation, an injured party may recover actual and punitive damages as well as costs and fees. It is a separate violation to divulge or use the information garnered through unlawful interception and an additional penalty of up to two years in prison or $5,000 may be imposed on this count.

© 2001 Pingram Marketing.


Upgrades and Contact Information

The United Kingdom

The interception, recording and monitoring of telephone calls is governed by a number of different pieces of UK legislation. The requirements of all relevant legislation must be complied with. The main ones are:

  • Regulation of Investigatory Powers Act 2000 ("RIPA"). · Telecommunications (Lawful Business Practice)(Interception of Communications) Regulations 2000 ("LBP Regulations"). · Data Protection Act 1998.
  • Telecommunications (Data Protection and Privacy) Regulations 1999.
  • Human Rights Act 1998.

Recording Private Calls

The relevant law, RIPA, does not prohibit individuals from recording their own communications provided that the recording is for their own use. Recording or monitoring are only prohibited where some of the contents of the communication - which can be a phone conversation or an e-mail - are made available to a third party, i.e. someone who was neither the caller or sender nor the intended recipient of the original communication.

According to Oftel, you do not have to let people know that you intend to record their telephone conversations, provided you are not intending to make the contents of the communication available to a third party. If you are you will need the consent of the person you are recording.

Businesses and Other Organizations

A business or other organisation cam record or monitor phone calls n a limited set of circumstances relevant for that business which has been defined by the LBP Regulations. The main ones are:

  • to provide evidence of a business transaction
  • to ensure that a business complies with regulatory procedures
  • to see that quality standards or targets are being met
  • in the interests of national security
  • to prevent or detect crime
  • to investigate the unauthorised use of a telecom system
  • to secure the effective operation of the telecom system.

Businesses do not have to tell if they are going to record or monitor phone calls. As long as the recording or monitoring is done for one of the above purposes the only obligation on businesses is to inform their own employees. If businesses want to record for any other purpose, such as market research, they will have to obtain your consent.

Where organisations do feel it necessary to record or monitor calls - for whatever reasons - the rules under which they do so have been set by the Privacy of Messages condition of the major two telecom class licences - the Self-Provision (SPL) and Telecommunication Services (TSL) Licences. The most fundamental requirement of this condition has been that every reasonable effort is made to inform all parties to a telephone conversation that it may or will be recorded.

In addition, businesses can monitor, but not record, phone calls or e-mails that have been received to see whether they are relevant to the business (i.e. open an employee's voicemail or mailbox systems while they are away to see if there are any business communications stored there).

However, any interception of employees' communications must be proportionate and in accordance with Data Protection principles. The Data Protection Commissioner is consulting on a Code of Practice on The use of personal data in employer/employee relationships. It is proposed that where the standards in the Code of Practice are, in the Commissioner's opinion, necessary for compliance with the Data Protection Act 1998 they may be directly enforceable as a breach of the Data Protection principles. Accordingly this Code of Practice and the Data Protection Act must also be considered by any business before it intercepts employees' communications (see next paragraph).

Recording Employee's Conversations

Companies and organisations that routinely record telephone calls must ensure that their employees are able to make personal calls that are not also recorded under the same system.

Staff must also be made aware that personal conversations could be recorded on their telephone and must have access to a separate telephone on the premises where they can make and receive personal calls that are not recorded.

Companies that do not provide this guarantee of confidentiality could be in breach of Article 8 of the Europe Convention on Human Rights that covers people's right to privacy.

© 2001 Pingram Marketing.


Upgrades and Contact Information

Australia

The nature of the Australian legal system (being a Federation of States) is similar to the US one. This involves complying with both Commonwealth and various State laws. In Australia there are certain legal restrictions on listening to and recording telephone calls according to interception and listening devices laws. These laws do not themselves set clear boundaries and as a result Call Centres are often in a state of confusion about how far they may go when undertaking listening and recording.

The Telecommunications (Interception) Act 1979 (http://www.aca.gov.au/licence/tir.pdf) prohibits a person from listening to or recording, by any means, of a communication in its passage over a telecommunications system without the knowledge of the person making the communication. A communication includes conversation and a message, and any part of a conversation or message, whether in the form of speech, music or other sounds, data, text, visual images, signals or in any other form or combination of forms. This law does not attach so much to the recording of a telephone call but more the interception. It is the act of interception that creates the offence not the recording. Naturally recording can form part of interception, but it is not the key element of the offence.

The Courts have generally made a distinction between:

  • listening or recording using equipment which is electronically connected into or which intercepts radio signals transmitted by a telecommunications system. In this case, the Interception Act applies and the State Listening Devices legislation does not apply; and
  • listening or recording using equipment which is external to the telecommunications system. In this case, the State Listening Devices legislation applies.

Therefore, listening to or recording of telephone conversations without both party's knowledge using devices such as:

  • "double jacking";
  • a bug within the telephone mouthpiece;
  • a wire attached to the telephone line; and
  • an interception device used to intercept car telephone waves,

fall within "interception" prohibited under the Telecommunications (Interception) Act.

However, there is an exception to the prohibition in the Interception Act which provides that the listening or recording does not, for the purposes of the Act, constitute "interception" of the communication if:

  • a person is lawfully on premises;
  • to which a telecommunications service is provided by a carrier or a carriage service provider;
  • by means of any apparatus or equipment that is part of that service;
  • who listens to or records a communication passing over the telecommunications system of which that service forms a part;
  • being a communication that is either made to or from that service or being received at that service in the ordinary course of operation.

Listening Devices legislation only applies to private conversations. Each State and Territory prohibits the use of a listening device to record a private conversation to which you are not a party. In some States and Territories, a party to the conversation may record the conversations without the other party's consent. In all States and Territories, a party to the conversation is prohibited from communicating or publishing a record or a report of that conversation except in very limited circumstances.

© 2001 Pingram Marketing.


Upgrades and Contact Information

Canada

Canadian federal law requires one-party consent for telephone call recording. Please refer to provincial laws for more information.

It is sometimes legal to record somebody's conversation without his consent in case of a crime. In Canada, illegally obtained evidence is never automatically excluded. Rather, if someone's rights have been violated, the evidence shall only be excluded "where it would bring the administration of justice into disrepute" (Canadian Charter of Rights and Freedoms). So each illegally obtained wiretap would be considered individually.

© 2001 Pingram Marketing.


Upgrades and Contact Information

References

General

  1. EU Telecommunications Data Protection Directive
  2. Infowar.com's Law Section: Computer Privacy Community http://www.infowar.com/iwftp/cpd/CPD-Library/, http://www.infowar.com/

The U.S.

  1. Electronic Communications Privacy Act. United States Code. Title 18. Crimes And Criminal Procedure. Part I – Crimes. Chapter 119 – Wire And Electronic Communications Interception And Interception Of Oral Communications. http://floridalawfirm.com/privacy.html

  2. The Reporters Committee for Freedom of the Press: A Practical Guide to Taping Phone Calls and In-Person Conversations in the 50 States and D.C. http://www.rcfp.org/taping/

  3. Broadcast of Telephone Conversations, 47 C.F.R. §73.1206 (1989)

  4. P.L. 99-508 ("The Electronic Communications Privacy Act of 1986"), amending 18 U.S.C. § 2510 -...

  5. 18 U.S.C. § 2510 - ... (1999) (Wire and Electronic Communications Interception and Interception of Oral Communications)

  6. FCC Consumer Information Bureau http://www.fcc.gov/cib/

  7. “Recording Telephone Conversations” http://www.fcc.gov/Bureaus/Common_Carrier/Factsheets/record.html

  8. “Interception And Divulgence Of Radio Communications” http://www.fcc.gov/Bureaus/Common_Carrier/Factsheets/investigation.html

  9. U.S. Department of Justice http://www.usdoj.gov/

  10. USA Bulletin, September 1997 Vol. 45, No. 5, 6. Electronic Investigative Techniques I, II: http://www.usdoj.gov/usao/eousa/foia_reading_room/usab4505.pdf, http://www.usdoj.gov/usao/eousa/foia_reading_room/usab4506.pdf

  11. Telephone Tape Recording Law. Ralph Thomas. National Association Of Investigative Specialists. http://www.pimall.com/nais/n.tel.tape.law.html

The U.K.

  1. Recording calls breaches human rights says Oftel. (Industry Trend or Event). http://www.findarticles.com/m0COW/1999_August_26/55660302/p1/article.jhtml

  2. Oftel FAQ on recording telephone conversations. http://www.oftel.gov.uk/crs/faq/page1.htm#record

  3. 19 August 1999. Oftel Publishes New Guidance On Recording Of Telephone Conversations. http://pipe.ccta.gov.uk/802566FC004AC1A9/Search/89D55BA83ACF09C1802567D20051D00B?OpenDocument

Australia

  1. Telecommunication Journal of Australia (Vol. 48 No 2 - 1998), page 75. ”Who's Listening? - Recording and Monitoring of Personal and Business Communications”

  2. Guidelines On Voice Monitoring Or Recording Of Telephone Services. Telecom (Australia), released by Telecommunications Industry Ombudsman, 29 April 1994. http://www.austlii.edu.au/au/other/plpr/vol1/Vol1No03/v01n03f8.html

  3. Examining Call Monitoring Legalities and the Development of Regulation. Angus Henderson, Partner and Annemaree McDonough, Lawyer September 1998 http://www.gtlaw.com.au/pubs/callcentres.html

© 2001 Pingram Marketing.


Ordering Information

We accept credit card orders, orders by phone, fax and mail, checks and wire transfers. Prices, terms, and conditions are subject to change without notice.

Price List

Single license: $39.95 USD

Purchase on-line at http://www.voicecallcentral.com/order.htm

Volume discounts are available upon request. Please contact us in order to buy multiple licenses.

Upgrades from Previous Versions

Single license: $14.95 USD

Purchase on-line at http://www.voicecallcentral.com/order.htm

Please check if you are entitled for a free upgrade. You are entitled for a free upgrade if either one of the following is true:

  • You purchased a previous version under a 'free upgrades' license;

  • You received a free upgrade offer or coupon from the voicecallcentral.com team (please attach the coupon or offer);

  • You have purchased one of the previous versions on or after August 1, 2001.

In either case please fill in the following contact form:

http://www.voicecallcentral.com/contact.htm

Secure Web Order

Purchase Advanced Call Center on-line at http://www.voicecallcentral.com/order.htm

You will be offered to make a purchase on-line through secure Web server using your credit card.

Phone, Fax and Mail Orders

You may fax or mail your credit card order, as well as use a check. Please visit the Ordering Information Web page for the most recent information on these payment methods.

Registration Benefits

Registration key and instructions will be delivered to you by e-mail.

  • The key will unlock the software into the registered version, removing the 30-day time limit.

  • You will be able to create and manage unlimited number of Identities (evaluation version limits you with only 3 identities).

  • Registered customers will get all minor updates (e.g. version 4.0 to 4.5) for free, and get significant discounts on future major upgrades (version 4.0 to 5.0).

  • Free technical support by e-mail.

Obtaining the Registered Version

After you purchase the Advanced Call Center, you receive your personal license key that unlocks all features of your copy of the program. The key and instructions will be delivered by e-mail.


Upgrades and Contact Information

Upgrade

Download the latest release of the corresponding edition and install it over the previous version. Make sure to exit completely the previous version of the program if it was running.

Please visit the Web page at:

http://www.voicecallcentral.com/

to download the latest version and find out more about our software.

If you need to reinstall

Your custom settings are stored in the Advanced Call Center application folder (usually C:\Program Files\acc\), in the *.ini files. Your address book stored in the miniDB.dat file; profile information resides in the identities.db file. All recorded messages are stored in the \Profiles subfolder. These files and folders will not be overwritten during the reinstallation. You may copy them to a new location if you decide to install the product to a different folder.

If for any reason your registration information becomes invalid or lost, send us an e-mail together with the details of your previous registration. You will receive a new license via e-mail at no charge.

Related topics

  • Ordering Information


How to show or hide menu bar

Program Support

Your are entitled for e-mail technical support in case you purchase your copy of the program.

A lot of frequently asked questions can be found in the F.A.Q. Section of this documentation, along with numerous Troubleshooting advices. If your question was not answered in any of the above sections, the contact information can be found in the appropriate section.

Related topics

  • Ordering Information


Upgrades and Contact Information

Contact Information

Please visit our web page at:

http://www.voicecallcentral.com

to download the latest versions of our products and find out more about our software. If you have any suggestions, comments or questions, please use the Feedback form on our Web site.

http://www.voicecallcentral.com/contact.htm

Company Information

For company information visit

http://www.pingram.com

E-Mail

For general inquiries and sales questions please use the following address:

info@voicecallcentral.com

For technical support please use our on-line Support Request form.

Postal Address and Telephone Numbers

Our contact details are published at:

http://www.voicecallcentral.com/contact.htm

Related topics

  • Ordering Information


LICENSE AGREEMENT

This is a legal Evaluation Agreement between you, as licensee, and Oleg Afonin, the AUTHOR. Upon receipt of your application indicating that you have read, understood, and agree to be bound by the terms of this Evaluation Agreement and upon acceptance of such application by AUTHOR, AUTHOR shall license to you the Advanced Call Center (the "Software Program").
BY DOWNLOADING AND RUNNING THE SOFTWARE PROGRAM YOU ARE CONSENTING TO BE BOUND BY ALL OF THE TERMS AND CONDITIONS IN THIS EVALUATION AGREEMENT. YOU ASSUME ALL RISK WITH RESPECT TO THE SOFTWARE PROGRAM AND ACKNOWLEDGE THAT THE SOFTWARE PROGRAM MAY HAVE DEFECTS OR DEFICIENCIES, AND THAT CERTAIN FEATURES AND FUNCTIONS IN SUCH SOFTWARE PROGRAM MAY NOT BE IN SUBSEQUENT RELEASES.

1. GRANT OF LICENSE.

AUTHOR grants to you a non-exclusive, non-transferable license to use the Software Program for the term of this License Agreement.

The Software Program is not free software. You may use this software for evaluation purposes without charge for a period of 30 days. If you use this software after the 30 day evaluation period, a registration fee is required. See 'Ordering Information' section in on-line help for detailed information about registration method and price list.

DISTRIBUTION OF EVALUATION VERSION

You may copy the evaluation version of this Software Program and documentation as you wish, and give exact copies of the original evaluation version to anyone, and distribute the evaluation version of the Software Program and documentation in its unmodified form via electronic means. You are not allowed to charge or request donations for any such copies made and from distributing the Software Program and/or documentation with other products without the author's written permission.

REGISTERED VERSION

One registered copy of the Software Program may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of the Software Program through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network.

AUTHOR, AT ITS SOLE OPTION, MAY RELEASE, CANCEL, AND/OR MODIFY THE SOFTWARE PROGRAM.

2. TERM AND TERMINATION.

This License Agreement shall commence on the date you install the Software Program and continue until the termination of this License Agreement by AUTHOR for breach by you of any of the terms and conditions herein.
If you elect to obtain a license for the Software Program, such Software Program shall be provided to you at AUTHOR's then current terms, conditions and license fees. By registering the program it is understood that you have evaluated the software thoroughly and have found it satisfactory for your needs.

3. TITLE.

Each Software Program and the information it contains, any updates and all copies are AUTHOR's or AUTHOR's licensors' property and title to such Software Program remains in AUTHOR or such licensors. All applicable rights in patents, copyrights and trade secrets in the Software Program are and shall remain in AUTHOR or AUTHOR's licensors.

4. DISCLAIMER OF WARRANTY.

The author and the supplier have no liability to the licensee or any other person or entity for any damage or loss, including special, incidental or consequential damages caused by this product directly or indirectly. The software is supplied "as is" without warranty of any kind, either expressed or implied. Warranties of merchantability or of fitness for any purpose are specifically disclaimed.

5. MISCELLANEOUS.

This License Agreement represents the entire and exclusive agreement between the parties and supersedes any and all prior agreements and communications with respect to the subject matter. The terms of this License Agreement shall apply notwithstanding any proposed variations or additions contained in any purchase order or other communication submitted by you. This software and accompanying documentation are protected by Canadian and United States copyright law under the North American Free Trade Agreement and also by other international treaty provisions.


Copyrights

Legal Notice

Advanced Call Center © 1998, 99, 2000, 2001 by Oleg Afonin

Distributed by Pingram Marketing, http://www.pingram.com/

Credits

Portions Copyright © 1999 by Bogdan Ledwig, http://bogdanle.cjb.net/

Portions Copyright © 1998-99 by Kirk Stowell, http://www.codejockeys.com/kstowell/

Portions Copyright © PJ Naughter, http://www.naughter.com/

Portions Copyright © 1998-99 by Sam Blackburn, http://ourworld.compuserve.com/homepages/Sam_Blackburn/

Paging notification via PagerDLL by Ajay Mittal, amittal@slip.net, http://www.slip.net/~amittal

ID_SDL © Igor Diagilev, id@redcom.ru

AVC © Andy Vavaev, vavaev@lcard.ru

GSM library is Copyright © 1992, 1993, 1994 by Jutta Degener and Carsten Bormann, Technische Universitaet Berlin

Intel/DVI ADPCM coder/decoder Copyright 1992 by Stichting Mathematisch Centrum, Amsterdam, The
Netherlands

ZyXEL Voice Kit V0.00 Copyright © 1992, 1993 ZyXEL Communications Corporation

IMA ADPCM codec for U.S.Robotics modems implementation by Eugene Abramov

TAPI Applications Classes C++ library Copyright © 1995-1997 JulMar Entertainment Technology, Inc. http://www.julmar.com/

Many thanks to Bill Berry, Chris Maunder, Dominik Filipp, Hans Bühler, Joachim Raidl, Michael Dunn, Mihai Filimon, and Yannick Sustrac <http://www.mygale.org/~yannstrc/>.

Related topics

  • View License


Bellcore Specifications

Bellcore modems

Specifications
  • GR-30CORE - Issue 1, December 1994
    Voiceband Data Transmission Interface
  • TR-NWT-000031 - Issue 4, December 1992
    CLASS Feature: Calling Number Delivery
  • TR-NWT-001188 - Issue 1, December 1991
    CLASS Feature: Calling Name Delivery
  • TR-NWT-000575 - Issue 1, October 1992
    CLASS Feature: Calling Identity Delivery on Call Waiting
  • TR-NWT-001401 - Issue 1, September 1993
    CLASS Feature: Visual Message Waiting Indicator
  • SR-TSV-002476 - Issue 1, December 1992
    CPE Compatibility Considerations
  • SR-3004 - Issue 2, January 1995
    Testing Guidelines for Analog Type 1, 2 and 3 CPE
  • Menu Supported - 3400 & 3410 Series

Related topics

© 1998 - 2001 Oleg Afonin.


Telstra

Specifications
  • TS 030 - 1997 Requirements for Customer Equipment with an Analogue Data Interface Connected to the Public Switched Telephone Network.
  • Menu Supported - 3400 & 3410 Series
  • DC.001, Issue 4, 24 July 1997
    Calling Line Identification Presentation - Analogue
  • DC.002, Issue 2, 22 July 1997
    Data Transmission to CPE For Presentation Features
  • DC.017, Issue 1, 30 June 1997
    Visual Message Wait Indication (VMWI)
  • DC.018, Issue 1, 30 July 1997
    Calling Name Presentation - Analogue
  • DC.020, Issue 1, 29 August 1997
    Test Specification for Data Transmission to Analogue CPE

Related topics

© 1998 - 2001 Oleg Afonin.